<?php
/**
 * @file
 * opentastings_base.openlayers_maps.inc
 */

/**
 * Implements hook_openlayers_maps().
 */
function opentastings_base_openlayers_maps() {
  $export = array();

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'geofield_default_opentasting';
  $openlayers_maps->title = 'Geofield default for opentasting';
  $openlayers_maps->description = 'Geofield Output cloned for opentasting';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '400px',
    'image_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '0, 0',
        'zoom' => '1',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_keyboarddefaults' => array(),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 0,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoombar' => array(
        'zoomWorldIcon' => 0,
        'panIcons' => 1,
      ),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'geofield_formatter' => 'geofield_formatter',
          'mapquest_osm' => 0,
        ),
        'point_zoom_level' => '5',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'mapquest_osm',
    'layers' => array(
      'mapquest_osm' => 'mapquest_osm',
      'geofield_formatter' => 'geofield_formatter',
    ),
    'layer_weight' => array(
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
      'current_wine_data_overlay' => '0',
      'wines_session_wines' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'openlayers_kml_example' => '0',
    ),
    'layer_styles' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => 'default_marker_blue',
    ),
    'layer_styles_select' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => 'default_marker_blue',
    ),
    'layer_styles_temporary' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_activated' => array(
      'geofield_formatter' => 'geofield_formatter',
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'layer_switcher' => array(
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'projection' => 'EPSG:900913',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default_marker_blue',
      'select' => 'default_marker_blue',
      'temporary' => 'default',
    ),
  );
  $export['geofield_default_opentasting'] = $openlayers_maps;

  return $export;
}
