<?php
/**
 * @file
 * opentastings_base.pages_default.inc
 */

/**
 * Implements hook_default_page_manager_handlers().
 */
function opentastings_base_default_page_manager_handlers() {
  $export = array();

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'site_template_panel_context_2';
  $handler->task = 'site_template';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = 1;
  $handler->conf = array(
    'title' => 'default',
    'no_blocks' => 1,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => 'default-pevery',
    'css' => '',
    'contexts' => array(
      0 => array(
        'identifier' => 'Token',
        'keyword' => 'token',
        'name' => 'token',
        'id' => 1,
      ),
    ),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 3,
          1 => 'main-row',
          2 => 1,
          3 => 2,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
        ),
        'parent' => 'main',
        'class' => 'site-panel-row-image',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'image / map',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => 'image-panel',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center_',
        ),
        'parent' => 'main',
        'class' => 'site-panel-row-center',
      ),
      'center_' => array(
        'type' => 'region',
        'title' => 'center',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => 'center-panel',
      ),
      2 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'bottom',
        ),
        'parent' => 'main',
        'class' => 'site-panel-row-bottom',
      ),
      'bottom' => array(
        'type' => 'region',
        'title' => 'bottom',
        'width' => 100,
        'width_type' => '%',
        'parent' => '2',
        'class' => 'footer-panel',
      ),
      3 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'image___map',
        ),
        'parent' => 'main',
        'class' => 'site-panel-row-nav',
      ),
      'image___map' => array(
        'type' => 'region',
        'title' => 'top',
        'width' => 100,
        'width_type' => '%',
        'parent' => '3',
        'class' => 'header-panel',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'center_' => NULL,
      'bottom' => NULL,
      'image___map' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '778ff4b2-e031-4656-9870-f9775980351a';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-a72a82ff-c130-49e2-9976-2e6424daeaba';
    $pane->panel = 'bottom';
    $pane->type = 'block';
    $pane->subtype = 'user-login';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 1,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'a72a82ff-c130-49e2-9976-2e6424daeaba';
    $display->content['new-a72a82ff-c130-49e2-9976-2e6424daeaba'] = $pane;
    $display->panels['bottom'][0] = 'new-a72a82ff-c130-49e2-9976-2e6424daeaba';
    $pane = new stdClass();
    $pane->pid = 'new-25e3b581-f7cd-439b-8829-5d6b53a0d1a2';
    $pane->panel = 'bottom';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 1,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'anonymous text',
      'title' => '',
      'body' => '<p>When logged in you will be able to add your <strong>wines </strong>and <strong>tasting notes</strong>, to build <strong>favorite </strong>list and to subscribe to tasting <strong>sessions</strong>.</p>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-bottom-anonymous-text',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '25e3b581-f7cd-439b-8829-5d6b53a0d1a2';
    $display->content['new-25e3b581-f7cd-439b-8829-5d6b53a0d1a2'] = $pane;
    $display->panels['bottom'][1] = 'new-25e3b581-f7cd-439b-8829-5d6b53a0d1a2';
    $pane = new stdClass();
    $pane->pid = 'new-d495714a-8c05-4073-97e2-ab8d6cd8c230';
    $pane->panel = 'bottom';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 2,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'Hi text',
      'title' => '',
      'body' => '<p class="user">Hi <a href="%user:url">%user</a></p><p class="logout"><a href="/user/logout">Log out</a></p>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-bottom-hi',
    );
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = 'd495714a-8c05-4073-97e2-ab8d6cd8c230';
    $display->content['new-d495714a-8c05-4073-97e2-ab8d6cd8c230'] = $pane;
    $display->panels['bottom'][2] = 'new-d495714a-8c05-4073-97e2-ab8d6cd8c230';
    $pane = new stdClass();
    $pane->pid = 'new-47bdab1e-cf67-44e6-8cd6-cdebfee61d09';
    $pane->panel = 'bottom';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 2,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'links',
      'title' => '',
      'body' => '<ul><li><a href="/user/%user:uid/wines">your wines</a></li><li><a href="/user/%user:uid/favorites">your favorites</a></li></ul>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-bottom-links',
    );
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '47bdab1e-cf67-44e6-8cd6-cdebfee61d09';
    $display->content['new-47bdab1e-cf67-44e6-8cd6-cdebfee61d09'] = $pane;
    $display->panels['bottom'][3] = 'new-47bdab1e-cf67-44e6-8cd6-cdebfee61d09';
    $pane = new stdClass();
    $pane->pid = 'new-0c5a8f24-438d-49d7-ad61-48310c7b3566';
    $pane->panel = 'bottom';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 2,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 3,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => TRUE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'actions',
      'title' => '',
      'body' => '<ul><li><a href="/node/add/wine">add a wine</a></li><li><a href="/node/add/note">add a note</a></li></ul>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-bottom-actions',
    );
    $pane->extras = array();
    $pane->position = 4;
    $pane->locks = array();
    $pane->uuid = '0c5a8f24-438d-49d7-ad61-48310c7b3566';
    $display->content['new-0c5a8f24-438d-49d7-ad61-48310c7b3566'] = $pane;
    $display->panels['bottom'][4] = 'new-0c5a8f24-438d-49d7-ad61-48310c7b3566';
    $pane = new stdClass();
    $pane->pid = 'new-f8d88b93-d63d-4594-b22c-38e6fc52c338';
    $pane->panel = 'bottom';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 3,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'actions + session',
      'title' => '',
      'body' => '<ul><li><a href="/node/add/wine">add a wine</a></li><li><a href="/node/add/note">add a note</a></li><li><a href="/node/add/session">add a session</a></li><li><a href="/admin/people">manage users</a></li></ul>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-bottom-actions',
    );
    $pane->extras = array();
    $pane->position = 5;
    $pane->locks = array();
    $pane->uuid = 'f8d88b93-d63d-4594-b22c-38e6fc52c338';
    $display->content['new-f8d88b93-d63d-4594-b22c-38e6fc52c338'] = $pane;
    $display->panels['bottom'][5] = 'new-f8d88b93-d63d-4594-b22c-38e6fc52c338';
    $pane = new stdClass();
    $pane->pid = 'new-9943fa58-0792-4916-8358-2e9c09d9c53c';
    $pane->panel = 'center';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'admin_title' => 'image',
      'title' => '',
      'body' => '<img alt="" class="bgimg" src="/profiles/opentastings/themes/opentasting_white/images/bg/black.jpg" />',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => 'bgimg',
      'css_class' => '',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '9943fa58-0792-4916-8358-2e9c09d9c53c';
    $display->content['new-9943fa58-0792-4916-8358-2e9c09d9c53c'] = $pane;
    $display->panels['center'][0] = 'new-9943fa58-0792-4916-8358-2e9c09d9c53c';
    $pane = new stdClass();
    $pane->pid = 'new-caed0074-7ee9-402b-b276-1c4e2eb27c06';
    $pane->panel = 'center_';
    $pane->type = 'page_title';
    $pane->subtype = 'page_title';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'markup' => 'h1',
      'class' => '',
      'id' => '',
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'caed0074-7ee9-402b-b276-1c4e2eb27c06';
    $display->content['new-caed0074-7ee9-402b-b276-1c4e2eb27c06'] = $pane;
    $display->panels['center_'][0] = 'new-caed0074-7ee9-402b-b276-1c4e2eb27c06';
    $pane = new stdClass();
    $pane->pid = 'new-f4e8a798-dc96-4742-92af-2aea90aebc99';
    $pane->panel = 'center_';
    $pane->type = 'page_breadcrumb';
    $pane->subtype = 'page_breadcrumb';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'f4e8a798-dc96-4742-92af-2aea90aebc99';
    $display->content['new-f4e8a798-dc96-4742-92af-2aea90aebc99'] = $pane;
    $display->panels['center_'][1] = 'new-f4e8a798-dc96-4742-92af-2aea90aebc99';
    $pane = new stdClass();
    $pane->pid = 'new-675e6bfe-4556-4a7b-8ec8-98096d927cfc';
    $pane->panel = 'center_';
    $pane->type = 'pane_messages';
    $pane->subtype = 'pane_messages';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '675e6bfe-4556-4a7b-8ec8-98096d927cfc';
    $display->content['new-675e6bfe-4556-4a7b-8ec8-98096d927cfc'] = $pane;
    $display->panels['center_'][2] = 'new-675e6bfe-4556-4a7b-8ec8-98096d927cfc';
    $pane = new stdClass();
    $pane->pid = 'new-67914f95-2e14-439e-88b9-36da2d92c4c6';
    $pane->panel = 'center_';
    $pane->type = 'page_content';
    $pane->subtype = 'page_content';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => 'argument_page_content_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '67914f95-2e14-439e-88b9-36da2d92c4c6';
    $display->content['new-67914f95-2e14-439e-88b9-36da2d92c4c6'] = $pane;
    $display->panels['center_'][3] = 'new-67914f95-2e14-439e-88b9-36da2d92c4c6';
    $pane = new stdClass();
    $pane->pid = 'new-fa28b28f-d19e-4dd0-a8c2-8737b7cf1f5c';
    $pane->panel = 'image___map';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'admin_title' => 'linked site name',
      'title' => '',
      'body' => '<a href="%token:site:url">%token:site:name</a>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-page-site-name',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'fa28b28f-d19e-4dd0-a8c2-8737b7cf1f5c';
    $display->content['new-fa28b28f-d19e-4dd0-a8c2-8737b7cf1f5c'] = $pane;
    $display->panels['image___map'][0] = 'new-fa28b28f-d19e-4dd0-a8c2-8737b7cf1f5c';
    $pane = new stdClass();
    $pane->pid = 'new-076a687a-69a4-420a-9621-12f89168bba8';
    $pane->panel = 'image___map';
    $pane->type = 'block';
    $pane->subtype = 'system-main-menu';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '076a687a-69a4-420a-9621-12f89168bba8';
    $display->content['new-076a687a-69a4-420a-9621-12f89168bba8'] = $pane;
    $display->panels['image___map'][1] = 'new-076a687a-69a4-420a-9621-12f89168bba8';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $export['site_template_panel_context_2'] = $handler;

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'user_view_panel_context';
  $handler->task = 'user_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'user view',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 'main-row',
          1 => 1,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center',
        ),
        'parent' => 'main',
        'class' => 'pane-user-wines',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'Center',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'bottom',
        ),
        'parent' => 'main',
        'class' => 'pane-user-favorites',
      ),
      'bottom' => array(
        'type' => 'region',
        'title' => 'bottom',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'left' => NULL,
      'right' => NULL,
      'content' => NULL,
      'sidebar_first' => NULL,
      'sidebar_second' => NULL,
      'middle' => NULL,
      'bottom' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = 'c09b70dd-6dcf-4832-962f-66017098f3ec';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-f7ddfd1c-fac5-4933-8613-0424bd3966f8';
    $pane->panel = 'bottom';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_user_favorites';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'more_link' => 1,
      'use_pager' => 0,
      'pager_id' => '0',
      'items_per_page' => '5',
      'offset' => '0',
      'context' => array(
        0 => 'argument_entity_id:user_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => '',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'f7ddfd1c-fac5-4933-8613-0424bd3966f8';
    $display->content['new-f7ddfd1c-fac5-4933-8613-0424bd3966f8'] = $pane;
    $display->panels['bottom'][0] = 'new-f7ddfd1c-fac5-4933-8613-0424bd3966f8';
    $pane = new stdClass();
    $pane->pid = 'new-08bf0a7d-f571-4027-a4a2-70a0ef552b45';
    $pane->panel = 'center';
    $pane->type = 'block';
    $pane->subtype = 'views-9526b16ba72cf6b79fa90f7fe2b14b4a';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'inherit_path' => 1,
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'wine-filters',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '08bf0a7d-f571-4027-a4a2-70a0ef552b45';
    $display->content['new-08bf0a7d-f571-4027-a4a2-70a0ef552b45'] = $pane;
    $display->panels['center'][0] = 'new-08bf0a7d-f571-4027-a4a2-70a0ef552b45';
    $pane = new stdClass();
    $pane->pid = 'new-a86c3b6b-f5f7-4069-a5e0-573875c15697';
    $pane->panel = 'center';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_official_wines_list';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_entity_id:user_1',
      ),
      'use_pager' => 0,
      'pager_id' => '0',
      'items_per_page' => '10',
      'override_title' => 1,
      'override_title_text' => 'wines',
      'more_link' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => '',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'a86c3b6b-f5f7-4069-a5e0-573875c15697';
    $display->content['new-a86c3b6b-f5f7-4069-a5e0-573875c15697'] = $pane;
    $display->panels['center'][1] = 'new-a86c3b6b-f5f7-4069-a5e0-573875c15697';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-f7ddfd1c-fac5-4933-8613-0424bd3966f8';
  $handler->conf['display'] = $display;
  $export['user_view_panel_context'] = $handler;

  return $export;
}

/**
 * Implements hook_default_page_manager_pages().
 */
function opentastings_base_default_page_manager_pages() {
  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'home';
  $page->task = 'page';
  $page->admin_title = 'home';
  $page->admin_description = '';
  $page->path = 'home';
  $page->access = array();
  $page->menu = array();
  $page->arguments = array();
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_home_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'home';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => 'frontpage',
    'css' => '',
    'contexts' => array(
      1 => array(
        'identifier' => 'Token',
        'keyword' => 'token',
        'name' => 'token',
        'id' => 1,
      ),
      2 => array(
        'identifier' => 'User',
        'keyword' => 'user',
        'name' => 'user',
        'type' => 'current',
        'uid' => '',
        'id' => 1,
      ),
    ),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'onecol';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 1,
          1 => 'main-row',
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'center_left',
          1 => 'center',
          2 => 'center_right',
        ),
        'parent' => 'main',
      ),
      'center' => array(
        'type' => 'region',
        'title' => 'Center',
        'width' => '34',
        'width_type' => '%',
        'parent' => 'main-row',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'top_left',
          1 => 'top',
          2 => 'top_right',
        ),
        'parent' => 'main',
        'class' => '',
      ),
      'top' => array(
        'type' => 'region',
        'title' => 'top',
        'width' => '34',
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      'top_right' => array(
        'type' => 'region',
        'title' => 'top right',
        'width' => '33',
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      'top_left' => array(
        'type' => 'region',
        'title' => 'top left',
        'width' => '33',
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      'center_right' => array(
        'type' => 'region',
        'title' => 'center right',
        'width' => '33',
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      'center_left' => array(
        'type' => 'region',
        'title' => 'center left',
        'width' => '33',
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'top' => NULL,
      'top_right' => NULL,
      'top_left' => NULL,
      'center_right' => NULL,
      'center_left' => NULL,
      'middle' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '%token:site:name';
  $display->uuid = '5bdcce3e-408d-4547-98d0-2fd902111fa6';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-af8128ae-8d77-4031-b7ab-0511f48d4dd0';
    $pane->panel = 'middle';
    $pane->type = 'panels_mini';
    $pane->subtype = 'next_meeting_participants';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 1,
      'override_title_text' => 'Next session',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-front-1',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'af8128ae-8d77-4031-b7ab-0511f48d4dd0';
    $display->content['new-af8128ae-8d77-4031-b7ab-0511f48d4dd0'] = $pane;
    $display->panels['middle'][0] = 'new-af8128ae-8d77-4031-b7ab-0511f48d4dd0';
    $pane = new stdClass();
    $pane->pid = 'new-f721e9e5-450a-4201-9de1-b906dc2ee899';
    $pane->panel = 'middle';
    $pane->type = 'panels_mini';
    $pane->subtype = 'top_wines';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-front-2',
    );
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = 'f721e9e5-450a-4201-9de1-b906dc2ee899';
    $display->content['new-f721e9e5-450a-4201-9de1-b906dc2ee899'] = $pane;
    $display->panels['middle'][1] = 'new-f721e9e5-450a-4201-9de1-b906dc2ee899';
    $pane = new stdClass();
    $pane->pid = 'new-8d659f16-d3d2-4638-8089-f25831f9b5bb';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'news-panel_pane_1';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-front-3',
    );
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '8d659f16-d3d2-4638-8089-f25831f9b5bb';
    $display->content['new-8d659f16-d3d2-4638-8089-f25831f9b5bb'] = $pane;
    $display->panels['middle'][2] = 'new-8d659f16-d3d2-4638-8089-f25831f9b5bb';
    $pane = new stdClass();
    $pane->pid = 'new-819cabe6-5ba5-4c07-bc92-f0adde11c0c0';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'current_wine-cp_random_wine';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-front-4',
    );
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '819cabe6-5ba5-4c07-bc92-f0adde11c0c0';
    $display->content['new-819cabe6-5ba5-4c07-bc92-f0adde11c0c0'] = $pane;
    $display->panels['middle'][3] = 'new-819cabe6-5ba5-4c07-bc92-f0adde11c0c0';
    $pane = new stdClass();
    $pane->pid = 'new-da9683d6-2d10-4596-aae2-f07cd287275a';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'zoom-cp_random_grape';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-front-5',
    );
    $pane->extras = array();
    $pane->position = 4;
    $pane->locks = array();
    $pane->uuid = 'da9683d6-2d10-4596-aae2-f07cd287275a';
    $display->content['new-da9683d6-2d10-4596-aae2-f07cd287275a'] = $pane;
    $display->panels['middle'][4] = 'new-da9683d6-2d10-4596-aae2-f07cd287275a';
    $pane = new stdClass();
    $pane->pid = 'new-ee9da4fb-6881-4dd6-8c48-0d62e1d90826';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'zoom-cp_random_region';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'pane-front-6',
    );
    $pane->extras = array();
    $pane->position = 5;
    $pane->locks = array();
    $pane->uuid = 'ee9da4fb-6881-4dd6-8c48-0d62e1d90826';
    $display->content['new-ee9da4fb-6881-4dd6-8c48-0d62e1d90826'] = $pane;
    $display->panels['middle'][5] = 'new-ee9da4fb-6881-4dd6-8c48-0d62e1d90826';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['home'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'user_favorites';
  $page->task = 'page';
  $page->admin_title = 'user favorites';
  $page->admin_description = '';
  $page->path = 'user/%user/favorites';
  $page->access = array();
  $page->menu = array(
    'type' => 'tab',
    'title' => 'Favorites',
    'name' => 'navigation',
    'weight' => '5',
    'parent' => array(
      'type' => 'none',
      'title' => '',
      'name' => 'navigation',
      'weight' => '0',
    ),
  );
  $page->arguments = array(
    'user' => array(
      'id' => 1,
      'identifier' => 'uid',
      'name' => 'entity_id:user',
      'settings' => array(),
    ),
  );
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_user_favorites_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'user_favorites';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'onecol';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'middle' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '024e5404-04a9-4f17-b7a6-279ff2eb423c';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-fc9d00a4-b08e-44f8-9364-553f1cf6578d';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_user_favorites';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'more_link' => 0,
      'use_pager' => 0,
      'pager_id' => '0',
      'items_per_page' => '5',
      'offset' => '0',
      'context' => array(
        0 => 'argument_entity_id:user_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'fc9d00a4-b08e-44f8-9364-553f1cf6578d';
    $display->content['new-fc9d00a4-b08e-44f8-9364-553f1cf6578d'] = $pane;
    $display->panels['middle'][0] = 'new-fc9d00a4-b08e-44f8-9364-553f1cf6578d';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['user_favorites'] = $page;

  $page = new stdClass();
  $page->disabled = FALSE; /* Edit this to true to make a default page disabled initially */
  $page->api_version = 1;
  $page->name = 'user_wines';
  $page->task = 'page';
  $page->admin_title = 'user wines';
  $page->admin_description = '';
  $page->path = 'user/%user/wines';
  $page->access = array();
  $page->menu = array(
    'type' => 'tab',
    'title' => 'Wines',
    'name' => 'navigation',
    'weight' => '0',
    'parent' => array(
      'type' => 'none',
      'title' => '',
      'name' => 'navigation',
      'weight' => '0',
    ),
  );
  $page->arguments = array(
    'user' => array(
      'id' => 1,
      'identifier' => 'uid',
      'name' => 'entity_id:user',
      'settings' => array(),
    ),
  );
  $page->conf = array(
    'admin_paths' => FALSE,
  );
  $page->default_handlers = array();
  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'page_user_wines_panel_context';
  $handler->task = 'page';
  $handler->subtask = 'user_wines';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'Panel',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
  );
  $display = new panels_display();
  $display->layout = 'onecol';
  $display->layout_settings = array();
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'center' => NULL,
      'middle' => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '';
  $display->uuid = '024e5404-04a9-4f17-b7a6-279ff2eb423c';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-e738aee2-b574-4e1a-b8da-5d7dca5bf0ce';
    $pane->panel = 'middle';
    $pane->type = 'block';
    $pane->subtype = 'views-9526b16ba72cf6b79fa90f7fe2b14b4a';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'inherit_path' => 1,
      'override_title' => 0,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'wine-filters',
    );
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'e738aee2-b574-4e1a-b8da-5d7dca5bf0ce';
    $display->content['new-e738aee2-b574-4e1a-b8da-5d7dca5bf0ce'] = $pane;
    $display->panels['middle'][0] = 'new-e738aee2-b574-4e1a-b8da-5d7dca5bf0ce';
    $pane = new stdClass();
    $pane->pid = 'new-01af57c3-737b-49db-ba5a-bb5e86297844';
    $pane->panel = 'middle';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_official_wines_list';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_entity_id:user_1',
      ),
      'more_link' => 0,
      'use_pager' => 1,
      'pager_id' => '0',
      'items_per_page' => '30',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '01af57c3-737b-49db-ba5a-bb5e86297844';
    $display->content['new-01af57c3-737b-49db-ba5a-bb5e86297844'] = $pane;
    $display->panels['middle'][1] = 'new-01af57c3-737b-49db-ba5a-bb5e86297844';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = 'new-01af57c3-737b-49db-ba5a-bb5e86297844';
  $handler->conf['display'] = $display;
  $page->default_handlers[$handler->name] = $handler;
  $pages['user_wines'] = $page;

  return $pages;

}
