<?php
/**
 * @file
 * opentastings_note.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function opentastings_note_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'notes';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'notes';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Tasting notes';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'name' => 'name',
    'field_day' => 'field_day',
    'title_1' => 'title_1',
    'field_singlenumber' => 'field_singlenumber',
  );
  /* Relationship: wine */
  $handler->display->display_options['relationships']['field_wineref_target_id']['id'] = 'field_wineref_target_id';
  $handler->display->display_options['relationships']['field_wineref_target_id']['table'] = 'field_data_field_wineref';
  $handler->display->display_options['relationships']['field_wineref_target_id']['field'] = 'field_wineref_target_id';
  $handler->display->display_options['relationships']['field_wineref_target_id']['ui_name'] = 'wine';
  $handler->display->display_options['relationships']['field_wineref_target_id']['label'] = 'wine';
  $handler->display->display_options['relationships']['field_wineref_target_id']['required'] = TRUE;
  /* Relationship: author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['ui_name'] = 'author';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_session_target_id']['id'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['table'] = 'field_data_field_session';
  $handler->display->display_options['relationships']['field_session_target_id']['field'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['label'] = 'session';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Content: Day */
  $handler->display->display_options['fields']['field_day']['id'] = 'field_day';
  $handler->display->display_options['fields']['field_day']['table'] = 'field_data_field_day';
  $handler->display->display_options['fields']['field_day']['field'] = 'field_day';
  $handler->display->display_options['fields']['field_day']['label'] = '';
  $handler->display->display_options['fields']['field_day']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_day']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_day']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: session name */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'field_session_target_id';
  $handler->display->display_options['fields']['title_1']['ui_name'] = 'session name';
  $handler->display->display_options['fields']['title_1']['label'] = '';
  $handler->display->display_options['fields']['title_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title_1']['empty'] = '[field_day]';
  $handler->display->display_options['fields']['title_1']['link_to_node'] = FALSE;
  /* Field: Content: Single number */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = '';
  $handler->display->display_options['fields']['field_singlenumber']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_singlenumber']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<span class="day">[title_1]</span> <span  class="taster"> tasted by [name]</span><span class="rating">  [field_singlenumber]</span>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  /* Field: remark */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['ui_name'] = 'remark';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  /* Field: eye image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['ui_name'] = 'eye image';
  $handler->display->display_options['fields']['field_singleimage']['label'] = 'Eye';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['type'] = 'colorbox';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'colorbox_node_style' => 'thumbnail',
    'colorbox_image_style' => '',
    'colorbox_gallery' => 'post',
    'colorbox_gallery_custom' => '',
    'colorbox_caption' => 'auto',
    'colorbox_caption_custom' => '',
  );
  /* Field: eye description */
  $handler->display->display_options['fields']['field_multiline']['id'] = 'field_multiline';
  $handler->display->display_options['fields']['field_multiline']['table'] = 'field_data_field_multiline';
  $handler->display->display_options['fields']['field_multiline']['field'] = 'field_multiline';
  $handler->display->display_options['fields']['field_multiline']['ui_name'] = 'eye description';
  $handler->display->display_options['fields']['field_multiline']['label'] = '';
  $handler->display->display_options['fields']['field_multiline']['element_label_colon'] = FALSE;
  /* Field: Content: Description */
  $handler->display->display_options['fields']['field_description']['id'] = 'field_description';
  $handler->display->display_options['fields']['field_description']['table'] = 'field_data_field_description';
  $handler->display->display_options['fields']['field_description']['field'] = 'field_description';
  $handler->display->display_options['fields']['field_description']['element_label_colon'] = FALSE;
  /* Field: Content: multi2 */
  $handler->display->display_options['fields']['field_multi2']['id'] = 'field_multi2';
  $handler->display->display_options['fields']['field_multi2']['table'] = 'field_data_field_multi2';
  $handler->display->display_options['fields']['field_multi2']['field'] = 'field_multi2';
  $handler->display->display_options['fields']['field_multi2']['element_label_colon'] = FALSE;
  /* Field: Content: Food pairing */
  $handler->display->display_options['fields']['field_food_pairing']['id'] = 'field_food_pairing';
  $handler->display->display_options['fields']['field_food_pairing']['table'] = 'field_data_field_food_pairing';
  $handler->display->display_options['fields']['field_food_pairing']['field'] = 'field_food_pairing';
  $handler->display->display_options['fields']['field_food_pairing']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_food_pairing']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_food_pairing']['delta_offset'] = '0';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_class'] = 'edit-note';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  /* Field: session day */
  $handler->display->display_options['fields']['field_day_1']['id'] = 'field_day_1';
  $handler->display->display_options['fields']['field_day_1']['table'] = 'field_data_field_day';
  $handler->display->display_options['fields']['field_day_1']['field'] = 'field_day';
  $handler->display->display_options['fields']['field_day_1']['ui_name'] = 'session day';
  $handler->display->display_options['fields']['field_day_1']['label'] = '';
  $handler->display->display_options['fields']['field_day_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_day_1']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_session_target_id';
  $handler->display->display_options['fields']['title']['label'] = 'Session';
  $handler->display->display_options['fields']['title']['hide_empty'] = TRUE;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Contextual filter: wine nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_wineref_target_id';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'wine nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'note' => 'note',
  );

  /* Display: CP Notes */
  $handler = $view->new_display('panel_pane', 'CP Notes', 'cp_notes_related_wine');
  $handler->display->display_options['pane_title'] = 'Notes related to wine';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'wine nid',
    ),
  );
  $export['notes'] = $view;

  return $export;
}
