<?php
/**
 * @file
 * opentastings_session.pages_default.inc
 */

/**
 * Implements hook_default_page_manager_handlers().
 */
function opentastings_session_default_page_manager_handlers() {
  $export = array();

  $handler = new stdClass();
  $handler->disabled = FALSE; /* Edit this to true to make a default handler disabled initially */
  $handler->api_version = 1;
  $handler->name = 'node_view_panel_context';
  $handler->task = 'node_view';
  $handler->subtask = '';
  $handler->handler = 'panel_context';
  $handler->weight = 0;
  $handler->conf = array(
    'title' => 'session',
    'no_blocks' => 0,
    'pipeline' => 'standard',
    'body_classes_to_remove' => '',
    'body_classes_to_add' => '',
    'css_id' => '',
    'css' => '',
    'contexts' => array(),
    'relationships' => array(),
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'session' => 'session',
            ),
          ),
          'context' => 'argument_entity_id:node_1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
  );
  $display = new panels_display();
  $display->layout = 'flexible';
  $display->layout_settings = array(
    'items' => array(
      'canvas' => array(
        'type' => 'row',
        'contains' => 'column',
        'children' => array(
          0 => 'main',
        ),
        'parent' => NULL,
      ),
      'main' => array(
        'type' => 'column',
        'width' => 100,
        'width_type' => '%',
        'children' => array(
          0 => 1,
          1 => 'main-row',
          2 => 2,
          3 => 3,
        ),
        'parent' => 'canvas',
      ),
      'main-row' => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'left',
        ),
        'parent' => 'main',
        'class' => 'panel-session-description',
      ),
      'left' => array(
        'type' => 'region',
        'title' => '2',
        'width' => 100,
        'width_type' => '%',
        'parent' => 'main-row',
        'class' => '',
      ),
      1 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => 'top',
        ),
        'parent' => 'main',
        'class' => 'panel-session-wines-map',
      ),
      'top' => array(
        'type' => 'region',
        'title' => '1',
        'width' => 100,
        'width_type' => '%',
        'parent' => '1',
        'class' => '',
      ),
      2 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => '3_',
        ),
        'parent' => 'main',
        'class' => 'panel-session-participants',
      ),
      3 => array(
        'type' => 'row',
        'contains' => 'region',
        'children' => array(
          0 => '4',
        ),
        'parent' => 'main',
        'class' => 'panel-session-wines-list',
      ),
      '3_' => array(
        'type' => 'region',
        'title' => '3',
        'width' => 100,
        'width_type' => '%',
        'parent' => '2',
        'class' => '',
      ),
      4 => array(
        'type' => 'region',
        'title' => '4',
        'width' => 100,
        'width_type' => '%',
        'parent' => '3',
        'class' => '',
      ),
    ),
  );
  $display->panel_settings = array(
    'style_settings' => array(
      'default' => NULL,
      'top' => NULL,
      'left' => NULL,
      'right' => NULL,
      'bottom' => NULL,
      'center' => NULL,
      'branding' => NULL,
      'header' => NULL,
      'navigation' => NULL,
      'highlighted' => NULL,
      'help' => NULL,
      'content' => NULL,
      'sidebar_first' => NULL,
      'sidebar_second' => NULL,
      'footer' => NULL,
      '3_' => NULL,
      4 => NULL,
    ),
  );
  $display->cache = array();
  $display->title = '%node:title';
  $display->uuid = '07ff785e-fb6f-498a-b726-fbe6c14e3e76';
  $display->content = array();
  $display->panels = array();
    $pane = new stdClass();
    $pane->pid = 'new-fe5e87a5-a604-4241-be01-f9a118476139';
    $pane->panel = '3_';
    $pane->type = 'views_panes';
    $pane->subtype = 'flagged_users-cp_users_participants';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_entity_id:node_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'fe5e87a5-a604-4241-be01-f9a118476139';
    $display->content['new-fe5e87a5-a604-4241-be01-f9a118476139'] = $pane;
    $display->panels['3_'][0] = 'new-fe5e87a5-a604-4241-be01-f9a118476139';
    $pane = new stdClass();
    $pane->pid = 'new-2f1f4790-75ab-499f-a942-abbd1831d10f';
    $pane->panel = '3_';
    $pane->type = 'flag_link';
    $pane->subtype = 'node';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'flag_name' => 'session_participate',
      'context' => 'argument_entity_id:node_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '2f1f4790-75ab-499f-a942-abbd1831d10f';
    $display->content['new-2f1f4790-75ab-499f-a942-abbd1831d10f'] = $pane;
    $display->panels['3_'][1] = 'new-2f1f4790-75ab-499f-a942-abbd1831d10f';
    $pane = new stdClass();
    $pane->pid = 'new-13b85bcd-98a4-4d94-b0fc-998016a61e40';
    $pane->panel = '3_';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 1,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'login to subscribe',
      'title' => '',
      'body' => '<p><a href="user/login">login</a> to subscribe</p>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array(
      'css_id' => '',
      'css_class' => 'login-subscribe',
    );
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '13b85bcd-98a4-4d94-b0fc-998016a61e40';
    $display->content['new-13b85bcd-98a4-4d94-b0fc-998016a61e40'] = $pane;
    $display->panels['3_'][2] = 'new-13b85bcd-98a4-4d94-b0fc-998016a61e40';
    $pane = new stdClass();
    $pane->pid = 'new-333f87d0-4bf3-4c1e-ae4d-4a7aab444c77';
    $pane->panel = '4';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_wines_related_session';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        1 => 'argument_entity_id:node_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '333f87d0-4bf3-4c1e-ae4d-4a7aab444c77';
    $display->content['new-333f87d0-4bf3-4c1e-ae4d-4a7aab444c77'] = $pane;
    $display->panels['4'][0] = 'new-333f87d0-4bf3-4c1e-ae4d-4a7aab444c77';
    $pane = new stdClass();
    $pane->pid = 'new-4bfb3295-c01e-4d6a-8da0-17bf62d1897c';
    $pane->panel = '4';
    $pane->type = 'custom';
    $pane->subtype = 'custom';
    $pane->shown = TRUE;
    $pane->access = array(
      'plugins' => array(
        0 => array(
          'name' => 'role',
          'settings' => array(
            'rids' => array(
              0 => 3,
            ),
          ),
          'context' => 'logged-in-user',
          'not' => FALSE,
        ),
      ),
    );
    $pane->configuration = array(
      'admin_title' => 'add a wine for this session',
      'title' => '',
      'body' => '<div class="add-session-wine"><a href="/node/add/wine/%node:nid">Add a wine for this session</a></div>',
      'format' => 'full',
      'substitute' => 1,
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '4bfb3295-c01e-4d6a-8da0-17bf62d1897c';
    $display->content['new-4bfb3295-c01e-4d6a-8da0-17bf62d1897c'] = $pane;
    $display->panels['4'][1] = 'new-4bfb3295-c01e-4d6a-8da0-17bf62d1897c';
    $pane = new stdClass();
    $pane->pid = 'new-099d8aee-7a4c-412c-9e40-11c589f85b69';
    $pane->panel = 'left';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:field_day';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'date_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(
        'format_type' => 'short',
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_to' => '',
        'fromto' => 'both',
      ),
      'context' => 'argument_entity_id:node_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = '099d8aee-7a4c-412c-9e40-11c589f85b69';
    $display->content['new-099d8aee-7a4c-412c-9e40-11c589f85b69'] = $pane;
    $display->panels['left'][0] = 'new-099d8aee-7a4c-412c-9e40-11c589f85b69';
    $pane = new stdClass();
    $pane->pid = 'new-4c586e1b-fc6d-4b7d-84b4-7d638bcfaacc';
    $pane->panel = 'left';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:field_single_text2';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'text_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(),
      'context' => 'argument_entity_id:node_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 1;
    $pane->locks = array();
    $pane->uuid = '4c586e1b-fc6d-4b7d-84b4-7d638bcfaacc';
    $display->content['new-4c586e1b-fc6d-4b7d-84b4-7d638bcfaacc'] = $pane;
    $display->panels['left'][1] = 'new-4c586e1b-fc6d-4b7d-84b4-7d638bcfaacc';
    $pane = new stdClass();
    $pane->pid = 'new-00194af2-3292-4606-a57f-f122b9b277ec';
    $pane->panel = 'left';
    $pane->type = 'entity_field';
    $pane->subtype = 'node:body';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'label' => 'title',
      'formatter' => 'text_default',
      'delta_limit' => 0,
      'delta_offset' => '0',
      'delta_reversed' => FALSE,
      'formatter_settings' => array(),
      'context' => 'argument_entity_id:node_1',
      'override_title' => 1,
      'override_title_text' => '',
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 2;
    $pane->locks = array();
    $pane->uuid = '00194af2-3292-4606-a57f-f122b9b277ec';
    $display->content['new-00194af2-3292-4606-a57f-f122b9b277ec'] = $pane;
    $display->panels['left'][2] = 'new-00194af2-3292-4606-a57f-f122b9b277ec';
    $pane = new stdClass();
    $pane->pid = 'new-30b97562-724a-4ec4-ac39-3e5cbd57b6bf';
    $pane->panel = 'left';
    $pane->type = 'views_panes';
    $pane->subtype = 'session-cp_all_meetings_jump_menu';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array();
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 3;
    $pane->locks = array();
    $pane->uuid = '30b97562-724a-4ec4-ac39-3e5cbd57b6bf';
    $display->content['new-30b97562-724a-4ec4-ac39-3e5cbd57b6bf'] = $pane;
    $display->panels['left'][3] = 'new-30b97562-724a-4ec4-ac39-3e5cbd57b6bf';
    $pane = new stdClass();
    $pane->pid = 'new-a2190a3e-e596-4de6-a3ec-cb6ae66bef50';
    $pane->panel = 'top';
    $pane->type = 'views_panes';
    $pane->subtype = 'wines-cp_session_map';
    $pane->shown = TRUE;
    $pane->access = array();
    $pane->configuration = array(
      'context' => array(
        0 => 'argument_entity_id:node_1',
      ),
    );
    $pane->cache = array();
    $pane->style = array(
      'settings' => NULL,
    );
    $pane->css = array();
    $pane->extras = array();
    $pane->position = 0;
    $pane->locks = array();
    $pane->uuid = 'a2190a3e-e596-4de6-a3ec-cb6ae66bef50';
    $display->content['new-a2190a3e-e596-4de6-a3ec-cb6ae66bef50'] = $pane;
    $display->panels['top'][0] = 'new-a2190a3e-e596-4de6-a3ec-cb6ae66bef50';
  $display->hide_title = PANELS_TITLE_FIXED;
  $display->title_pane = '0';
  $handler->conf['display'] = $display;
  $export['node_view_panel_context'] = $handler;

  return $export;
}
