<?php
/**
 * @file
 * opentastings_wine.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function opentastings_wine_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'node-wine-field_agriculture'
  $field_instances['node-wine-field_agriculture'] = array(
    'bundle' => 'wine',
    'default_value' => array(
      0 => array(
        'value' => 'conventional',
      ),
    ),
    'deleted' => 0,
    'description' => 'How the vineyard is managed, even when no certificate.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 18,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_agriculture',
    'label' => 'Agriculture',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_buttons',
      'weight' => 12,
    ),
  );

  // Exported field_instance: 'node-wine-field_appelation'
  $field_instances['node-wine-field_appelation'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'PDO and PGI of the wine. Choose a top region if the wine do not belong to PDO/PGI.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(
          'linked' => 1,
        ),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 3,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_appelation',
    'label' => 'Origin',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'term_ref_autocomplete',
      'settings' => array(
        'autocomplete_path' => 'term_ref_autocomplete/autocomplete',
        'size' => 60,
      ),
      'type' => 'term_ref_autocomplete_widget',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'node-wine-field_color'
  $field_instances['node-wine-field_color'] = array(
    'bundle' => 'wine',
    'default_value' => array(
      0 => array(
        'value' => 'red',
      ),
    ),
    'deleted' => 0,
    'description' => 'The color how the wine is classified.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 17,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_color',
    'label' => 'Color',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_buttons',
      'weight' => 11,
    ),
  );

  // Exported field_instance: 'node-wine-field_description'
  $field_instances['node-wine-field_description'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Add any additional comment related to the bottle.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 28,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_description',
    'label' => 'Remark',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 3,
      ),
      'type' => 'text_textarea',
      'weight' => 18,
    ),
  );

  // Exported field_instance: 'node-wine-field_float'
  $field_instances['node-wine-field_float'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The price you have really paid for this bottle, not an estimation. If you want to mention the true price, use the remark field.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 14,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_float',
    'label' => 'Price',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => 0,
      'prefix' => '',
      'suffix' => '€',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 9,
    ),
  );

  // Exported field_instance: 'node-wine-field_float2'
  $field_instances['node-wine-field_float2'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The Alcohol level how it appears on the label.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 19,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_float2',
    'label' => 'Alcohol level',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => '%',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 13,
    ),
  );

  // Exported field_instance: 'node-wine-field_grapes'
  $field_instances['node-wine-field_grapes'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Add the grape varieties that compose the wine, one by one, and the proportion if this is known. If you do not find the grape on the autocomplete, simply type it and the grape will be automatically created.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy_proportion',
        'settings' => array(
          'field_location' => 'after',
        ),
        'type' => 'taxonomy_proportion_format',
        'weight' => 24,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_grapes',
    'label' => 'Grape variety',
    'required' => 0,
    'settings' => array(
      'field_prefix' => '',
      'field_suffix' => '%',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'taxonomy_proportion',
      'settings' => array(
        'autocomplete_path' => 'taxonomy-proportion/autocomplete',
        'mode' => 'single',
        'size' => 30,
      ),
      'type' => 'taxonomy_proportion_autocomplete',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'node-wine-field_link'
  $field_instances['node-wine-field_link'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The link (url) usually at the producer website where the wine is presented.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 6,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_link',
    'label' => 'Bottle Link',
    'required' => 0,
    'settings' => array(
      'attributes' => array(
        'class' => '',
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'value',
      'title_maxlength' => 128,
      'title_value' => 'Producer presentation',
      'url' => 0,
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'node-wine-field_producer'
  $field_instances['node-wine-field_producer'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The winemaker person name, company, corporation, domain, ...',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 22,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_producer',
    'label' => 'Producer',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'taxonomy',
      'settings' => array(
        'autocomplete_path' => 'taxonomy/autocomplete',
        'size' => 60,
      ),
      'type' => 'taxonomy_autocomplete',
      'weight' => 0,
    ),
  );

  // Exported field_instance: 'node-wine-field_single_checkbox'
  $field_instances['node-wine-field_single_checkbox'] = array(
    'bundle' => 'wine',
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => 'If the wine is truly (not slightly) sparkling.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 16,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_single_checkbox',
    'label' => 'Sparkling',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 1,
      ),
      'type' => 'options_onoff',
      'weight' => 10,
    ),
  );

  // Exported field_instance: 'node-wine-field_singleimage'
  $field_instances['node-wine-field_singleimage'] = array(
    'bundle' => 'wine',
    'deleted' => 0,
    'description' => 'A picture of the bottle, looks nicer on a transparent background (png format).<br><strong>Tip:</strong> search for the wine on an <a href="https://startpage.com/eng/pics.html?">image search engine</a>.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => '',
        ),
        'type' => 'image',
        'weight' => 5,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_singleimage',
    'label' => 'Image',
    'required' => 0,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 30,
      'file_directory' => 'images/wine',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '1200x1200',
      'min_resolution' => '',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'bar',
      ),
      'type' => 'image_image',
      'weight' => 7,
    ),
  );

  // Exported field_instance: 'node-wine-field_singlenumber'
  $field_instances['node-wine-field_singlenumber'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Add here only oak barrel aging. For any other aging use the remarks field.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 27,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_singlenumber',
    'label' => 'Aging',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => ' months',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 16,
    ),
  );

  // Exported field_instance: 'node-wine-field_singletext'
  $field_instances['node-wine-field_singletext'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The name how it appears on the label.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 8,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_singletext',
    'label' => 'Name',
    'required' => 1,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'node-wine-field_vendor'
  $field_instances['node-wine-field_vendor'] = array(
    'bundle' => 'wine',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The place where you have buy this bottle. Use the "plus" green icon to add a new vendor and the pencil one to edit the vendor selected.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'entityreference',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_label',
        'weight' => 21,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'entityconnect_unload_add' => 0,
    'entityconnect_unload_edit' => 0,
    'field_name' => 'field_vendor',
    'label' => 'Vendor',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'taxonomy-index' => array(
          'status' => TRUE,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 14,
    ),
  );

  // Exported field_instance: 'node-wine-field_vintage'
  $field_instances['node-wine-field_vintage'] = array(
    'bundle' => 'wine',
    'deleted' => 0,
    'description' => 'Leave it blank if the vintage is unknown (like Champagne).',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'date',
        'settings' => array(
          'format_type' => 'long',
          'fromto' => 'both',
          'multiple_from' => '',
          'multiple_number' => '',
          'multiple_to' => '',
        ),
        'type' => 'date_default',
        'weight' => 26,
      ),
      'teaser' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'node',
    'field_name' => 'field_vintage',
    'label' => 'Vintage',
    'required' => 0,
    'settings' => array(
      'default_value' => 'strtotime',
      'default_value2' => 'same',
      'default_value_code' => '-2 years',
      'default_value_code2' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'date',
      'settings' => array(
        'increment' => 15,
        'input_format' => 'd/m/Y - H:i:s',
        'input_format_custom' => '',
        'label_position' => 'none',
        'text_parts' => array(),
        'year_range' => '-30:+0',
      ),
      'type' => 'date_select',
      'weight' => 3,
    ),
  );

  // Exported field_instance: 'taxonomy_term-grape-field_color'
  $field_instances['taxonomy_term-grape-field_color'] = array(
    'bundle' => 'grape',
    'default_value' => array(
      0 => array(
        'value' => 'red',
      ),
    ),
    'deleted' => 0,
    'description' => 'The main color of the wine produced by this grape',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 3,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_color',
    'label' => 'Color',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_buttons',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'taxonomy_term-grape-field_description'
  $field_instances['taxonomy_term-grape-field_description'] = array(
    'bundle' => 'grape',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 4,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_description',
    'label' => 'Description',
    'required' => 0,
    'settings' => array(
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 20,
      ),
      'type' => 'text_textarea',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'taxonomy_term-grape-field_other_name'
  $field_instances['taxonomy_term-grape-field_other_name'] = array(
    'bundle' => 'grape',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'If the grape is known under another name in other region, encode those names one by one. exemple Malbec/Cot or Rolle/Vermentino.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 1,
      ),
      'search_index' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_other_name',
    'label' => 'Other name',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'taxonomy_term-grape-field_singleimage'
  $field_instances['taxonomy_term-grape-field_singleimage'] = array(
    'bundle' => 'grape',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => '',
        ),
        'type' => 'image',
        'weight' => 0,
      ),
      'search_index' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_singleimage',
    'label' => 'Image',
    'required' => 0,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 0,
      'file_directory' => 'images/grape',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '1200x1200',
      'min_resolution' => '',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'bar',
      ),
      'type' => 'image_image',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'taxonomy_term-grape-field_singlenumber'
  $field_instances['taxonomy_term-grape-field_singlenumber'] = array(
    'bundle' => 'grape',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The total of <em>hectares</em> this grape is planted around the <em>world</em>',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 0,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_integer',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_singlenumber',
    'label' => 'Area',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => ' ha',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 3,
    ),
  );

  // Exported field_instance: 'taxonomy_term-producer-field_multiline'
  $field_instances['taxonomy_term-producer-field_multiline'] = array(
    'bundle' => 'producer',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Address, opening hours, contact, ...',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 0,
      ),
      'search_index' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_multiline',
    'label' => 'Coordinates',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 5,
      ),
      'type' => 'text_textarea',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'taxonomy_term-region-field_geolocation'
  $field_instances['taxonomy_term-region-field_geolocation'] = array(
    'bundle' => 'region',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'geofield',
        'settings' => array(
          'data' => 'full',
          'map_preset' => 'random_region',
        ),
        'type' => 'geofield_openlayers',
        'weight' => 0,
      ),
      'search_index' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_geolocation',
    'label' => 'Geolocation',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'openlayers',
      'settings' => array(
        'allow_edit' => 1,
        'data_storage' => 'single',
        'feature_types' => array(
          'path' => 0,
          'point' => 'point',
          'polygon' => 0,
        ),
        'openlayers_map' => 'geofield_widget_map',
      ),
      'type' => 'geofield_openlayers',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'taxonomy_term-region-field_rmaingrapes'
  $field_instances['taxonomy_term-region-field_rmaingrapes'] = array(
    'bundle' => 'region',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Start typing the main grapes used in this region then select it on the suggestion. If the grape does not exist, It will be automatically created. Separate grapes with a coma. ',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_rmaingrapes',
    'label' => 'Main grapes',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'taxonomy',
      'settings' => array(
        'autocomplete_path' => 'taxonomy/autocomplete',
        'size' => 60,
      ),
      'type' => 'taxonomy_autocomplete',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'taxonomy_term-region-field_singletext'
  $field_instances['taxonomy_term-region-field_singletext'] = array(
    'bundle' => 'region',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Use only for countries, not a region from a specific country. Enter the 2 letters representing the country code. See a <a href="https://en.wikipedia.org/wiki/ISO_3166-1">full list here</a>.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 1,
      ),
      'search_index' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_singletext',
    'label' => 'Country code',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'taxonomy_term-vendor-field_link'
  $field_instances['taxonomy_term-vendor-field_link'] = array(
    'bundle' => 'vendor',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 0,
      ),
      'search_index' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_link',
    'label' => 'Link',
    'required' => 0,
    'settings' => array(
      'attributes' => array(
        'class' => '',
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'none',
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 0,
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 3,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('A picture of the bottle, looks nicer on a transparent background (png format).');
  t('Add any additional comment related to the bottle.');
  t('Add here only oak barrel aging. For any other aging use the remarks field.');
  t('Add the grape varieties that compose the wine, one by one, and the proportion if this is known. If you do not find the grape on the autocomplete, simply type it and the grape will be automatically created.');
  t('Address, opening hours, contact, ...');
  t('Aging');
  t('Agriculture');
  t('Alcohol level');
  t('Area');
  t('Bottle Link');
  t('Color');
  t('Coordinates');
  t('Country code');
  t('Description');
  t('Geolocation');
  t('Grape variety');
  t('How the vineyard is managed, even when no certificate.');
  t('If the grape is known under another name in other region, encode those names one by one. exemple Malbec/Cot or Rolle/Vermentino.');
  t('If the wine is truly (not slightly) sparkling.');
  t('Image');
  t('Leave it blank if the vintage is unknown (like Champagne).');
  t('Link');
  t('Main grapes');
  t('Name');
  t('Origin');
  t('Other name');
  t('PDO and PGI of the wine. Choose a top region if the wine do not belong to PDO/PGI.');
  t('Price');
  t('Producer');
  t('Remark');
  t('Sparkling');
  t('Start typing the main grapes used in this region then select it on the suggestion. If the grape does not exist, It will be automatically created. Separate grapes with a coma.');
  t('The Alcohol level how it appears on the label.');
  t('The color how the wine is classified.');
  t('The link (url) usually at the producer website where the wine is presented.');
  t('The main color of the wine produced by this grape');
  t('The name how it appears on the label.');
  t('The place where you have buy this bottle. Use the "plus" green icon to add a new vendor and the pencil one to edit the vendor selected.');
  t('The price you have really paid for this bottle, not an estimation. If you want to mention the true price, use the remark field.');
  t('The total of <em>hectares</em> this grape is planted around the <em>world</em>');
  t('The winemaker person name, company, corporation, domain, ...');
  t('Use only for countries, not a region from a specific country. Enter the 2 letters representing the country code. See a <a href="https://en.wikipedia.org/wiki/ISO_3166-1">full list here</a>.');
  t('Vendor');
  t('Vintage');

  return $field_instances;
}
