<?php
/**
 * @file
 * opentastings_wine.openlayers_maps.inc
 */

/**
 * Implements hook_openlayers_maps().
 */
function opentastings_wine_openlayers_maps() {
  $export = array();

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'all_wines_clustered';
  $openlayers_maps->title = 'All wines clustered';
  $openlayers_maps->description = '';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '300px',
    'image_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '0,0',
        'zoom' => '0',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_cluster' => array(
        'clusterlayer' => array(
          'wines_odo_all_wines_filtered' => 'wines_odo_all_wines_filtered',
        ),
        'distance' => '20',
        'threshold' => '',
        'display_cluster_numbers' => 1,
        'middle_lower_bound' => '15',
        'middle_upper_bound' => '50',
        'low_color' => 'rgb(141, 203, 61)',
        'middle_color' => 'rgb(49, 190, 145)',
        'high_color' => 'rgb(35, 59, 177)',
      ),
      'openlayers_behavior_keyboarddefaults' => array(),
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 1,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'wines_odo_all_wines_filtered' => 'wines_odo_all_wines_filtered',
        ),
        'panMapIfOutOfView' => 0,
        'keepInMap' => 1,
      ),
      'openlayers_behavior_zoompanel' => array(),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'wines_odo_all_wines_filtered' => 'wines_odo_all_wines_filtered',
          'mapquest_osm' => 0,
          'mapquest_openaerial' => 0,
        ),
        'point_zoom_level' => '6',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'mapquest_osm',
    'layers' => array(
      'mapquest_osm' => 'mapquest_osm',
      'mapquest_openaerial' => 'mapquest_openaerial',
      'wines_odo_all_wines_filtered' => 'wines_odo_all_wines_filtered',
    ),
    'layer_weight' => array(
      'vocabulary_odo_regions' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'current_wine_data_overlay' => '0',
      'wines_session_wines' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_styles' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'wines_odo_all_wines_filtered' => 'default_marker_blue',
    ),
    'layer_styles_select' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'wines_odo_all_wines_filtered' => '0',
    ),
    'layer_styles_temporary' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'wines_odo_all_wines_filtered' => '0',
    ),
    'layer_activated' => array(
      'wines_odo_all_wines_filtered' => 'wines_odo_all_wines_filtered',
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'layer_switcher' => array(
      'wines_odo_all_wines_filtered' => 0,
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default',
      'select' => 'default_select',
      'temporary' => 'default',
    ),
  );
  $export['all_wines_clustered'] = $openlayers_maps;

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'current_wine';
  $openlayers_maps->title = 'Current wine';
  $openlayers_maps->description = '';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '200px',
    'image_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-7.186510064978123e-9, 7.186501469422994e-9',
        'zoom' => '2',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_keyboarddefaults' => array(),
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 1,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoom' => array(),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'current_wine_data_overlay' => 'current_wine_data_overlay',
          'mapquest_osm' => 0,
          'mapquest_openaerial' => 0,
        ),
        'point_zoom_level' => '6',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'mapquest_osm',
    'layers' => array(
      'mapquest_osm' => 'mapquest_osm',
      'mapquest_openaerial' => 'mapquest_openaerial',
      'current_wine_data_overlay' => 'current_wine_data_overlay',
    ),
    'layer_weight' => array(
      'vocabulary_odo_regions' => '0',
      'current_wine_data_overlay' => '0',
      'wines_session_wines' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_styles' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'vocabulary_odo_regions' => '0',
      'current_wine_data_overlay' => 'default_marker_green',
    ),
    'layer_styles_select' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'vocabulary_odo_regions' => '0',
      'current_wine_data_overlay' => '0',
    ),
    'layer_styles_temporary' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'vocabulary_odo_regions' => '0',
      'current_wine_data_overlay' => '0',
    ),
    'layer_activated' => array(
      'current_wine_data_overlay' => 'current_wine_data_overlay',
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'layer_switcher' => array(
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default',
      'select' => 'default_select',
      'temporary' => 'default',
    ),
  );
  $export['current_wine'] = $openlayers_maps;

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'random_region';
  $openlayers_maps->title = 'Random region';
  $openlayers_maps->description = '';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '200px',
    'image_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 0,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-7.186510064978123e-9, 7.186501469422994e-9',
        'zoom' => '2',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_keyboarddefaults' => array(),
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 1,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_zoompanel' => array(),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'geofield_formatter' => 'geofield_formatter',
          'mapquest_osm' => 0,
          'mapquest_openaerial' => 0,
        ),
        'point_zoom_level' => '6',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'mapquest_osm',
    'layers' => array(
      'mapquest_osm' => 'mapquest_osm',
      'mapquest_openaerial' => 'mapquest_openaerial',
      'geofield_formatter' => 'geofield_formatter',
    ),
    'layer_weight' => array(
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
      'current_wine_data_overlay' => '0',
      'wines_session_wines' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'openlayers_kml_example' => '0',
    ),
    'layer_styles' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => 'default_marker_black_small',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => 'default_marker_blue',
    ),
    'layer_styles_select' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_styles_temporary' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_activated' => array(
      'geofield_formatter' => 'geofield_formatter',
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'layer_switcher' => array(
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default',
      'select' => 'default_select',
      'temporary' => 'default',
    ),
  );
  $export['random_region'] = $openlayers_maps;

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'regions';
  $openlayers_maps->title = 'Regions';
  $openlayers_maps->description = 'Display regions with parent term (optionnal)';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '400px',
    'image_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 1,
    'center' => array(
      'initial' => array(
        'centerpoint' => '0,0',
        'zoom' => '1',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_keyboarddefaults' => array(),
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 1,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_panzoombar' => array(
        'zoomWorldIcon' => 1,
        'panIcons' => 1,
      ),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'vocabulary_odo_regions' => 'vocabulary_odo_regions',
          'geofield_formatter' => 0,
        ),
        'panMapIfOutOfView' => 0,
        'keepInMap' => 1,
      ),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'vocabulary_odo_regions' => 'vocabulary_odo_regions',
          'mapquest_osm' => 0,
          'mapquest_openaerial' => 0,
          'geofield_formatter' => 0,
        ),
        'point_zoom_level' => '6',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'mapquest_osm',
    'layers' => array(
      'mapquest_osm' => 'mapquest_osm',
      'mapquest_openaerial' => 'mapquest_openaerial',
      'vocabulary_odo_regions' => 'vocabulary_odo_regions',
    ),
    'layer_weight' => array(
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
      'current_wine_data_overlay' => '0',
      'wines_session_wines' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'openlayers_kml_example' => '0',
    ),
    'layer_styles' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => 'default_marker_blue',
      'geofield_formatter' => '0',
    ),
    'layer_styles_select' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_styles_temporary' => array(
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_activated' => array(
      'vocabulary_odo_regions' => 'vocabulary_odo_regions',
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
    ),
    'layer_switcher' => array(
      'vocabulary_odo_regions' => 0,
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default_marker_blue',
      'select' => 'default_select',
      'temporary' => 'default',
    ),
  );
  $export['regions'] = $openlayers_maps;

  $openlayers_maps = new stdClass();
  $openlayers_maps->disabled = FALSE; /* Edit this to true to make a default openlayers_maps disabled initially */
  $openlayers_maps->api_version = 1;
  $openlayers_maps->name = 'session_wines';
  $openlayers_maps->title = 'session wines';
  $openlayers_maps->description = '';
  $openlayers_maps->data = array(
    'width' => 'auto',
    'height' => '300px',
    'image_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/img/',
    'css_path' => 'profiles/opentastings/modules/contrib/openlayers/themes/default_dark/style.css',
    'proxy_host' => '',
    'hide_empty_map' => 1,
    'center' => array(
      'initial' => array(
        'centerpoint' => '-7.186510064978123e-9, 7.186501469422994e-9',
        'zoom' => '2',
      ),
      'restrict' => array(
        'restrictextent' => 0,
        'restrictedExtent' => '',
      ),
    ),
    'behaviors' => array(
      'openlayers_behavior_keyboarddefaults' => array(),
      'openlayers_behavior_attribution' => array(
        'separator' => '',
      ),
      'openlayers_behavior_layerswitcher' => array(
        'ascending' => 1,
        'sortBaseLayer' => '0',
        'roundedCorner' => 1,
        'roundedCornerColor' => '#222222',
        'maximizeDefault' => 0,
        'div' => '',
      ),
      'openlayers_behavior_navigation' => array(
        'zoomWheelEnabled' => 1,
        'zoomBoxEnabled' => 1,
        'documentDrag' => 0,
      ),
      'openlayers_behavior_popup' => array(
        'layers' => array(
          'wines_session_wines' => 'wines_session_wines',
        ),
        'panMapIfOutOfView' => 0,
        'keepInMap' => 1,
        'zoomToPoint' => 0,
        'zoomToCluster' => 0,
      ),
      'openlayers_behavior_zoompanel' => array(),
      'openlayers_behavior_zoomtolayer' => array(
        'zoomtolayer' => array(
          'wines_session_wines' => 'wines_session_wines',
          'mapquest_osm' => 0,
          'mapquest_openaerial' => 0,
        ),
        'point_zoom_level' => '6',
        'zoomtolayer_scale' => '1',
      ),
    ),
    'default_layer' => 'mapquest_osm',
    'layers' => array(
      'mapquest_osm' => 'mapquest_osm',
      'mapquest_openaerial' => 'mapquest_openaerial',
      'wines_session_wines' => 'wines_session_wines',
    ),
    'layer_weight' => array(
      'vocabulary_odo_regions' => '0',
      'wines_session_wines' => '0',
      'current_wine_data_overlay' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'geofield_formatter' => '0',
    ),
    'layer_styles' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'wines_session_wines' => 'default_marker_green',
    ),
    'layer_styles_select' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'wines_session_wines' => '0',
    ),
    'layer_styles_temporary' => array(
      'geofield_formatter' => '0',
      'openlayers_kml_example' => '0',
      'openlayers_geojson_picture_this' => '0',
      'wines_odo_all_wines_filtered' => '0',
      'current_wine_data_overlay' => '0',
      'vocabulary_odo_regions' => '0',
      'wines_session_wines' => '0',
    ),
    'layer_activated' => array(
      'wines_session_wines' => 'wines_session_wines',
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'layer_switcher' => array(
      'geofield_formatter' => 0,
      'openlayers_kml_example' => 0,
      'openlayers_geojson_picture_this' => 0,
      'wines_odo_all_wines_filtered' => 0,
      'wines_session_wines' => 0,
      'current_wine_data_overlay' => 0,
      'vocabulary_odo_regions' => 0,
    ),
    'projection' => 'EPSG:3857',
    'displayProjection' => 'EPSG:4326',
    'styles' => array(
      'default' => 'default',
      'select' => 'default',
      'temporary' => 'default',
    ),
  );
  $export['session_wines'] = $openlayers_maps;

  return $export;
}
