<?php
/**
 * @file
 * Plugins are described by creating a $plugin array which will
 * be used by the system that includes the file.
 */
$plugin = array(
  'title' => t('Term: empty description'),
  'description' => t('Controls access by term description value'),
  'callback' => 'opentastings_wine_term_description_value_ctools_access_check',
  'default' => array('description_value' => ''),
  'summary' => 'opentastings_wine_term_description_value_ctools_summary',
  'required context' => new ctools_context_required(t('Term'), array('taxonomy_term', 'terms')),
);

/**
 * Custom callback defined by 'callback' in the $plugin array.
 *
 * Check for access.
 */
function opentastings_wine_term_description_value_ctools_access_check($conf, $context) {
  // If for some unknown reason that $context isn't set, we just want to be sure.
  if (empty($context) || empty($context->data)) {
    return FALSE;
  }

  // If $context->data->description is not empty.
  if (!empty($context->data->description)) {
    return FALSE;
  }
  return TRUE;
}

/**
 * Provide a summary description based upon the age.
 */
function opentastings_wine_term_description_value_ctools_summary($conf, $context) {
  return t('Terms with no description');
}



