<?php
/**
 * @file
 * Plugin for panel that displays rank of current grape
 */
$plugin = array(
  'title' => t('Current grape: production and ranking'),
  'single' => TRUE,
  'category' => array(t('terms')),
  'edit form' => 'grape_ranking_edit_form',
  'render callback' => 'grape_ranking_render',
  'description' => t('displays wines related on grapes'),
  'content_types' => array('grape_ranking'),
  'defaults' => array(),
);

function grape_ranking_render($subtype, $conf, $args, $context = NULL) {

  $gtid = $args[0];
  $gterm = taxonomy_term_load($gtid);
  $prod = field_get_items('taxonomy_term', $gterm, 'field_singlenumber');

   if (!empty($prod[0]['value'])) {

    $query = new EntityFieldQuery();
    $result = $query->entityCondition('entity_type', 'taxonomy_term')
      ->entityCondition('bundle', 'grape')
      ->fieldCondition('field_singlenumber', 'value', $prod[0]['value'], '>=')
      ->execute();

    $rank = count($result['taxonomy_term']);

    $content = number_format($prod[0]['value'], 0, ',', ' ') . ' ha (' . l(t('rank #@rank', array('@rank' => $rank)), 'grape/top-worldwide') . ')';
   }
   else {
     $content = t('unknown');
   }

  $block = new stdClass;
  $block->title = 'Production';
  $block->content = $content;

  return $block;
}

/**
 * 'Edit form' callback for the content type.
 */
function grape_ranking_edit_form($form, &$form_state) {
  // No settings beyond context, which has already been handled.
  return $form;
}