<?php
/**
 * @file
 * Plugin for panel that displays the geographical nearest wines
 */
$plugin = array(
  'title' => t('Nearest wines'),
  'single' => TRUE,
  'category' => array(t('wines')),
  'edit form' => 'nearest_wines_edit_form',
  'render callback' => 'nearest_wines_render',
  'description' => t('displays nearest wines'),
  'content_types' => array('nearest_wines'),
  'defaults' => array(),
);

function nearest_wines_render($subtype, $conf, $args, $context = NULL) {
  $wnid = $args[0];
  $wnode = node_load($wnid);
  $appel = field_get_items('node', $wnode, 'field_appelation');
  if (!empty($appel[0]['tid'])) {
    $orig = taxonomy_term_load($appel[0]['tid']);
    $geol = field_get_items('taxonomy_term', $orig, 'field_geolocation');
    $content = views_embed_view('current_wine', 'cwine_block_related_proximity', $geol[0]['lat'] . ',' . $geol[0]['lon'], $wnid);
  }
  else {
    $content = t('unknown origin');
  }

  $block = new stdClass;
  $block->title = 'nearest wines';
  $block->content = $content;

  return $block;
}

/**
 * 'Edit form' callback for the content type.
 */
function nearest_wines_edit_form($form, &$form_state) {
  // No settings beyond context, which has already been handled.
  return $form;
}