<?php
/**
 * @file
 * Plugin for panel that displays wines sharing same grapes
 */
$plugin = array(
  'title' => t('Wines related by grape'),
  'single' => TRUE,
  'category' => array(t('wines')),
  'edit form' => 'wines_related_by_grape_edit_form',
  'render callback' => 'wines_related_by_grape_render',
  'description' => t('displays wines related on grapes'),
  'content_types' => array('wines_related_by_grape'),
  'defaults' => array(),
);

function wines_related_by_grape_render($subtype, $conf, $args, $context = NULL) {
  $wnid = $args[0];
  $wnode = node_load($wnid);
  $grapes = field_get_items('node', $wnode, 'field_grapes');
  if (!empty($grapes)) {
    $stg = array();
    foreach ($grapes as $grape) {
      $stg[] = $grape['tid'];
    }
    $same_arg = implode(",", $stg);
    // Check if there are wines with exactly the same grapes.
    $wsame = views_get_view_result('current_wine', 'block_cwine_same_grapes', $same_arg,  $wnid, count($stg));
    // If not load sharing some of them.
    $content = count($wsame) ?
      views_embed_view('current_wine', 'block_cwine_same_grapes', $same_arg, $wnid, count($stg)) :
      views_embed_view('current_wine', 'block_cwine_sharing_grapes', $wnid, $wnid);
  }
  else {
    $content = t('no grapes');
  }

  $block = new stdClass;
  $block->title = 'wines related';
  $block->content = $content;

  return $block;
}

/**
 * 'Edit form' callback for the content type.
 */
function wines_related_by_grape_edit_form($form, &$form_state) {
  // No settings beyond context, which has already been handled.
  return $form;
}