<?php

/**
 * @file
 * Default simple view template to all the fields as a row.
 *
 * - $view: The view in use.
 * - $fields: an array of $field objects. Each one contains:
 *   - $field->content: The output of the field.
 *   - $field->raw: The raw data for the field, if it exists. This is NOT output safe.
 *   - $field->class: The safe class id to use.
 *   - $field->handler: The Views field handler object controlling this field. Do not use
 *     var_export to dump this object, as it can't handle the recursion.
 *   - $field->inline: Whether or not the field should be inline.
 *   - $field->inline_html: either div or span based on the above flag.
 *   - $field->wrapper_prefix: A complete wrapper containing the inline_html to use.
 *   - $field->wrapper_suffix: The closing tag for the wrapper.
 *   - $field->separator: an optional separator that may appear before a field.
 *   - $field->label: The wrap label text to use.
 *   - $field->label_html: The full HTML of the label to use including
 *     configured element type.
 * - $row: The raw result object from the query, with all data it fetched.
 *
 * @ingroup views_templates
 */
//dpm($fields['title']);
?>
<div class="note-header">
  <span class="ico-coll"> </span><?php print $fields['nothing']->content ?>
</div>
<div class="note-body">
  <?php print $fields['edit_node']->content ?>
  <?php print $fields['body']->content ?>
  <div class="eye tasting"><span class="lbl"><?php print t('eye')?></span>
    <div class="tasting-content">
      <?php print $fields['field_singleimage']->content ?>
      <?php print $fields['field_multiline']->content ?>
     </div>
  </div>

  <div class="noze tasting"><span class="lbl"><?php print t('noze')?></span>
    <div class="tasting-content">
      <?php print $fields['field_description']->content ?>
    </div>
  </div>

  <div class="mouth tasting"><span class="lbl"><?php print t('mouth')?></span>
    <div class="tasting-content">
      <?php print $fields['field_multi2']->content ?>
    </div>
  </div>

  <div class="food-pairing">
    <?php print $fields['field_food_pairing']->content ?>
  </div>

  <?php if(!empty($fields['title']->content)): ?>
    <?php print $fields['title']->label_html; ?>
    <?php print $fields['title']->content ?>
  <?php endif; ?>

</div>
