<?php
/**
 * @file
 * opentastings_wine.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function opentastings_wine_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'current_wine';
  $view->description = 'Acts when the wine bottle nid is displayed (node view) ';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Current wine';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'no wines';
  $handler->display->display_options['empty']['area']['format'] = 'full';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['label'] = '';
  $handler->display->display_options['fields']['field_appelation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_appelation']['type'] = 'shs_default';
  $handler->display->display_options['fields']['field_appelation']['settings'] = array(
    'linked' => 1,
  );
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['ui_name'] = 'Price';
  $handler->display->display_options['fields']['field_float']['label'] = '';
  $handler->display->display_options['fields']['field_float']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Alcohol level */
  $handler->display->display_options['fields']['field_float2']['id'] = 'field_float2';
  $handler->display->display_options['fields']['field_float2']['table'] = 'field_data_field_float2';
  $handler->display->display_options['fields']['field_float2']['field'] = 'field_float2';
  $handler->display->display_options['fields']['field_float2']['ui_name'] = 'Alcohol level';
  $handler->display->display_options['fields']['field_float2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_float2']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['label'] = '';
  $handler->display->display_options['fields']['field_grapes']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Content: Producer */
  $handler->display->display_options['fields']['field_producer']['id'] = 'field_producer';
  $handler->display->display_options['fields']['field_producer']['table'] = 'field_data_field_producer';
  $handler->display->display_options['fields']['field_producer']['field'] = 'field_producer';
  $handler->display->display_options['fields']['field_producer']['label'] = '';
  $handler->display->display_options['fields']['field_producer']['element_label_colon'] = FALSE;
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Content: Vendor */
  $handler->display->display_options['fields']['field_vendor']['id'] = 'field_vendor';
  $handler->display->display_options['fields']['field_vendor']['table'] = 'field_data_field_vendor';
  $handler->display->display_options['fields']['field_vendor']['field'] = 'field_vendor';
  $handler->display->display_options['fields']['field_vendor']['label'] = '';
  $handler->display->display_options['fields']['field_vendor']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_vendor']['settings'] = array(
    'link' => 1,
  );
  /* Field: Content: Vintage */
  $handler->display->display_options['fields']['field_vintage']['id'] = 'field_vintage';
  $handler->display->display_options['fields']['field_vintage']['table'] = 'field_data_field_vintage';
  $handler->display->display_options['fields']['field_vintage']['field'] = 'field_vintage';
  $handler->display->display_options['fields']['field_vintage']['label'] = '';
  $handler->display->display_options['fields']['field_vintage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_vintage']['type'] = 'taxonomy_term_reference_plain';
  /* Field: bottle image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['ui_name'] = 'bottle image';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['type'] = 'colorbox';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'colorbox_node_style' => 'bottle',
    'colorbox_image_style' => '',
    'colorbox_gallery' => 'none',
    'colorbox_gallery_custom' => '',
    'colorbox_caption' => 'auto',
    'colorbox_caption_custom' => '',
  );
  /* Field: Producer bottle link */
  $handler->display->display_options['fields']['field_link']['id'] = 'field_link';
  $handler->display->display_options['fields']['field_link']['table'] = 'field_data_field_link';
  $handler->display->display_options['fields']['field_link']['field'] = 'field_link';
  $handler->display->display_options['fields']['field_link']['ui_name'] = 'Producer bottle link';
  $handler->display->display_options['fields']['field_link']['label'] = '';
  $handler->display->display_options['fields']['field_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_link']['click_sort_column'] = 'url';
  /* Contextual filter: Current wine nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Current wine nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'wine' => 'wine',
  );
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'wine' => 'wine',
  );

  /* Display: map Data Overlay */
  $handler = $view->new_display('openlayers', 'map Data Overlay', 'data_overlay');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_data';
  $handler->display->display_options['style_options']['data_source'] = array(
    'value' => 'wkt',
    'other_lat' => 'title',
    'other_lon' => 'title',
    'wkt' => 'field_geolocation',
    'other_top' => 'title',
    'other_right' => 'title',
    'other_bottom' => 'title',
    'other_left' => 'title',
    'name_field' => 'title',
    'description_field' => 'field_appelation',
    'view_mode' => 'full',
    'style_field' => '',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['label'] = '';
  $handler->display->display_options['fields']['field_appelation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_appelation']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_appelation']['settings'] = array(
    'linked' => 1,
  );
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );

  /* Display: CP map */
  $handler = $view->new_display('panel_pane', 'CP map', 'cp_wine_map');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_map';
  $handler->display->display_options['style_options']['map'] = 'current_wine';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['pane_title'] = 'current wine map';
  $handler->display->display_options['pane_description'] = 'Display marker with the center of the region (not the winemaker)';
  $handler->display->display_options['pane_category']['name'] = 'Current wine';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Current wine nid',
    ),
  );

  /* Display: CP detail */
  $handler = $view->new_display('panel_pane', 'CP detail', 'cwine_cp_detail');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_agriculture' => 'field_agriculture',
    'field_color' => 'field_color',
    'field_single_checkbox' => 'field_single_checkbox',
    'field_link' => 'field_link',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['type'] = 'colorbox';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'colorbox_node_style' => 'bottle',
    'colorbox_image_style' => '',
    'colorbox_gallery' => 'post',
    'colorbox_gallery_custom' => '',
    'colorbox_caption' => 'auto',
    'colorbox_caption_custom' => '',
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['alter']['text'] = '<span class="[field_agriculture-value]"></span>';
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_color']['alter']['text'] = '<span class="[field_color-value]"></span>';
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = '<span class="sparkling"></span>';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Content: Producer */
  $handler->display->display_options['fields']['field_producer']['id'] = 'field_producer';
  $handler->display->display_options['fields']['field_producer']['table'] = 'field_data_field_producer';
  $handler->display->display_options['fields']['field_producer']['field'] = 'field_producer';
  $handler->display->display_options['fields']['field_producer']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_producer']['element_wrapper_type'] = 'span';
  /* Field: Name */
  $handler->display->display_options['fields']['field_singletext']['id'] = 'field_singletext';
  $handler->display->display_options['fields']['field_singletext']['table'] = 'field_data_field_singletext';
  $handler->display->display_options['fields']['field_singletext']['field'] = 'field_singletext';
  $handler->display->display_options['fields']['field_singletext']['ui_name'] = 'Name';
  $handler->display->display_options['fields']['field_singletext']['label'] = 'Name';
  $handler->display->display_options['fields']['field_singletext']['element_type'] = 'span';
  /* Field: Content: Vintage */
  $handler->display->display_options['fields']['field_vintage']['id'] = 'field_vintage';
  $handler->display->display_options['fields']['field_vintage']['table'] = 'field_data_field_vintage';
  $handler->display->display_options['fields']['field_vintage']['field'] = 'field_vintage';
  $handler->display->display_options['fields']['field_vintage']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_vintage']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Alcohol level */
  $handler->display->display_options['fields']['field_float2']['id'] = 'field_float2';
  $handler->display->display_options['fields']['field_float2']['table'] = 'field_data_field_float2';
  $handler->display->display_options['fields']['field_float2']['field'] = 'field_float2';
  $handler->display->display_options['fields']['field_float2']['ui_name'] = 'Alcohol level';
  $handler->display->display_options['fields']['field_float2']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_float2']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Vendor */
  $handler->display->display_options['fields']['field_vendor']['id'] = 'field_vendor';
  $handler->display->display_options['fields']['field_vendor']['table'] = 'field_data_field_vendor';
  $handler->display->display_options['fields']['field_vendor']['field'] = 'field_vendor';
  $handler->display->display_options['fields']['field_vendor']['label'] = 'Place of buy';
  $handler->display->display_options['fields']['field_vendor']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_vendor']['settings'] = array(
    'link' => 1,
  );
  /* Field: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['ui_name'] = 'Price';
  $handler->display->display_options['fields']['field_float']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Aging */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['ui_name'] = 'Aging';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Aging';
  $handler->display->display_options['fields']['field_singlenumber']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: Producer bottle link */
  $handler->display->display_options['fields']['field_link']['id'] = 'field_link';
  $handler->display->display_options['fields']['field_link']['table'] = 'field_data_field_link';
  $handler->display->display_options['fields']['field_link']['field'] = 'field_link';
  $handler->display->display_options['fields']['field_link']['ui_name'] = 'Producer bottle link';
  $handler->display->display_options['fields']['field_link']['label'] = '';
  $handler->display->display_options['fields']['field_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_link']['click_sort_column'] = 'url';
  /* Field: Field: Description */
  $handler->display->display_options['fields']['field_description']['id'] = 'field_description';
  $handler->display->display_options['fields']['field_description']['table'] = 'field_data_field_description';
  $handler->display->display_options['fields']['field_description']['field'] = 'field_description';
  $handler->display->display_options['fields']['field_description']['label'] = '';
  $handler->display->display_options['fields']['field_description']['element_label_colon'] = FALSE;
  /* Field: add note link */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['ui_name'] = 'add note link';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a href="/node/add/note?edit[field_wineref][und][0][target_id]=[title] ([nid])">add a tasting note</a>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['pane_title'] = 'Detail of the wine';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Current wine nid',
    ),
  );

  /* Display: Block related by proximity */
  $handler = $view->new_display('block', 'Block related by proximity', 'cwine_block_related_proximity');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'title' => 'title',
    'field_geofield_distance' => 'field_geofield_distance',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: region */
  $handler->display->display_options['relationships']['term_node_tid']['id'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['table'] = 'node';
  $handler->display->display_options['relationships']['term_node_tid']['field'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['ui_name'] = 'region';
  $handler->display->display_options['relationships']['term_node_tid']['label'] = 'region';
  $handler->display->display_options['relationships']['term_node_tid']['required'] = TRUE;
  $handler->display->display_options['relationships']['term_node_tid']['vocabularies'] = array(
    'region' => 'region',
    'aromes' => 0,
    'food' => 0,
    'grape' => 0,
    'producer' => 0,
    'tag' => 0,
    'tasting_words' => 0,
    'vendor' => 0,
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Taxonomy term: Geolocation (field_geolocation) - proximity */
  $handler->display->display_options['fields']['field_geofield_distance']['id'] = 'field_geofield_distance';
  $handler->display->display_options['fields']['field_geofield_distance']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geofield_distance']['field'] = 'field_geofield_distance';
  $handler->display->display_options['fields']['field_geofield_distance']['relationship'] = 'term_node_tid';
  $handler->display->display_options['fields']['field_geofield_distance']['label'] = '';
  $handler->display->display_options['fields']['field_geofield_distance']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_geofield_distance']['alter']['text'] = '([field_geofield_distance])';
  $handler->display->display_options['fields']['field_geofield_distance']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geofield_distance']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['field_geofield_distance']['precision'] = '0';
  $handler->display->display_options['fields']['field_geofield_distance']['suffix'] = ' km';
  $handler->display->display_options['fields']['field_geofield_distance']['source'] = 'contextual_geofield_filter';
  $handler->display->display_options['fields']['field_geofield_distance']['geofield_proximity_manual'] = array(
    'lat' => '',
    'lon' => '',
  );
  $handler->display->display_options['fields']['field_geofield_distance']['geofield_proximity_entity_url_field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geofield_distance']['geofield_proximity_current_user_field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geofield_distance']['radius_of_earth'] = '6371';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Taxonomy term: Geolocation (field_geolocation) - proximity */
  $handler->display->display_options['sorts']['field_geofield_distance']['id'] = 'field_geofield_distance';
  $handler->display->display_options['sorts']['field_geofield_distance']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['sorts']['field_geofield_distance']['field'] = 'field_geofield_distance';
  $handler->display->display_options['sorts']['field_geofield_distance']['relationship'] = 'term_node_tid';
  $handler->display->display_options['sorts']['field_geofield_distance']['source'] = 'contextual_geofield_filter';
  $handler->display->display_options['sorts']['field_geofield_distance']['geofield_proximity_manual'] = array(
    'lat' => '',
    'lon' => '',
  );
  $handler->display->display_options['sorts']['field_geofield_distance']['geofield_proximity_entity_url_field'] = 'field_geolocation';
  $handler->display->display_options['sorts']['field_geofield_distance']['geofield_proximity_current_user_field'] = 'field_geolocation';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: proximity */
  $handler->display->display_options['arguments']['field_geofield_distance']['id'] = 'field_geofield_distance';
  $handler->display->display_options['arguments']['field_geofield_distance']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['arguments']['field_geofield_distance']['field'] = 'field_geofield_distance';
  $handler->display->display_options['arguments']['field_geofield_distance']['relationship'] = 'term_node_tid';
  $handler->display->display_options['arguments']['field_geofield_distance']['ui_name'] = 'proximity';
  $handler->display->display_options['arguments']['field_geofield_distance']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_geofield_distance']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_geofield_distance']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_geofield_distance']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_geofield_distance']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_geofield_distance']['proximity'] = array(
    'operation' => 'lt',
    'default_radius' => '500',
    'radius_unit' => '6371',
  );
  /* Contextual filter: Current wine nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Current wine nid';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'wine' => 'wine',
  );
  $handler->display->display_options['arguments']['nid']['not'] = TRUE;

  /* Display: Block sharing grapes */
  $handler = $view->new_display('block', 'Block sharing grapes', 'block_cwine_sharing_grapes');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'sharing grape(s)';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Taxonomy terms on node */
  $handler->display->display_options['relationships']['term_node_tid']['id'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['table'] = 'node';
  $handler->display->display_options['relationships']['term_node_tid']['field'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['label'] = 'grape';
  $handler->display->display_options['relationships']['term_node_tid']['vocabularies'] = array(
    'grape' => 'grape',
    'aromes' => 0,
    'food' => 0,
    'producer' => 0,
    'region' => 0,
    'tag' => 0,
    'tasting_words' => 0,
    'vendor' => 0,
  );
  /* Relationship: Taxonomy term: Content with term */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'taxonomy_index';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['relationships']['nid']['relationship'] = 'term_node_tid';
  $handler->display->display_options['relationships']['nid']['label'] = 'node with grape terms';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'nid';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Nid */
  $handler->display->display_options['sorts']['nid']['id'] = 'nid';
  $handler->display->display_options['sorts']['nid']['table'] = 'node';
  $handler->display->display_options['sorts']['nid']['field'] = 'nid';
  $handler->display->display_options['sorts']['nid']['relationship'] = 'nid';
  $handler->display->display_options['sorts']['nid']['group_type'] = 'count';
  $handler->display->display_options['sorts']['nid']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Current wine nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Current wine nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'wine' => 'wine',
  );
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['arguments']['nid_1']['table'] = 'node';
  $handler->display->display_options['arguments']['nid_1']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid_1']['relationship'] = 'nid';
  $handler->display->display_options['arguments']['nid_1']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid_1']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid_1']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid_1']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid_1']['not'] = TRUE;

  /* Display: Block same grapes */
  $handler = $view->new_display('block', 'Block same grapes', 'block_cwine_same_grapes');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'same grape(s)';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'nid';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Has taxonomy term ID */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'taxonomy_index';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['tid']['break_phrase'] = TRUE;
  $handler->display->display_options['arguments']['tid']['reduce_duplicates'] = TRUE;
  /* Contextual filter: Current wine nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Current wine nid';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['not'] = TRUE;
  /* Contextual filter: number of grapes */
  $handler->display->display_options['arguments']['field_grapes_proportion']['id'] = 'field_grapes_proportion';
  $handler->display->display_options['arguments']['field_grapes_proportion']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['arguments']['field_grapes_proportion']['field'] = 'field_grapes_proportion';
  $handler->display->display_options['arguments']['field_grapes_proportion']['group_type'] = 'count';
  $handler->display->display_options['arguments']['field_grapes_proportion']['ui_name'] = 'number of grapes';
  $handler->display->display_options['arguments']['field_grapes_proportion']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_grapes_proportion']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_grapes_proportion']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_grapes_proportion']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_grapes_proportion']['summary_options']['items_per_page'] = '25';

  /* Display: CP random wine */
  $handler = $view->new_display('panel_pane', 'CP random wine', 'cp_random_wine');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Zoom: a wine';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_agriculture' => 'field_agriculture',
    'field_color' => 'field_color',
    'field_single_checkbox' => 'field_single_checkbox',
    'field_link' => 'field_link',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['type'] = 'colorbox';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'colorbox_node_style' => 'bottle',
    'colorbox_image_style' => '',
    'colorbox_gallery' => 'post',
    'colorbox_gallery_custom' => '',
    'colorbox_caption' => 'auto',
    'colorbox_caption_custom' => '',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_type'] = 'h3';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['alter']['text'] = '<span class="[field_agriculture-value]"></span>';
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_color']['alter']['text'] = '<span class="[field_color-value]"></span>';
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = '<span class="sparkling"></span>';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Content: Producer */
  $handler->display->display_options['fields']['field_producer']['id'] = 'field_producer';
  $handler->display->display_options['fields']['field_producer']['table'] = 'field_data_field_producer';
  $handler->display->display_options['fields']['field_producer']['field'] = 'field_producer';
  $handler->display->display_options['fields']['field_producer']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_producer']['element_wrapper_type'] = 'span';
  /* Field: name */
  $handler->display->display_options['fields']['field_singletext']['id'] = 'field_singletext';
  $handler->display->display_options['fields']['field_singletext']['table'] = 'field_data_field_singletext';
  $handler->display->display_options['fields']['field_singletext']['field'] = 'field_singletext';
  $handler->display->display_options['fields']['field_singletext']['ui_name'] = 'name';
  $handler->display->display_options['fields']['field_singletext']['label'] = 'Name';
  $handler->display->display_options['fields']['field_singletext']['element_type'] = 'span';
  /* Field: Content: Vintage */
  $handler->display->display_options['fields']['field_vintage']['id'] = 'field_vintage';
  $handler->display->display_options['fields']['field_vintage']['table'] = 'field_data_field_vintage';
  $handler->display->display_options['fields']['field_vintage']['field'] = 'field_vintage';
  $handler->display->display_options['fields']['field_vintage']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_vintage']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['element_type'] = 'span';
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Alcohol level */
  $handler->display->display_options['fields']['field_float2']['id'] = 'field_float2';
  $handler->display->display_options['fields']['field_float2']['table'] = 'field_data_field_float2';
  $handler->display->display_options['fields']['field_float2']['field'] = 'field_float2';
  $handler->display->display_options['fields']['field_float2']['ui_name'] = 'Alcohol level';
  $handler->display->display_options['fields']['field_float2']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_float2']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Aging */
  $handler->display->display_options['fields']['field_single_text2']['id'] = 'field_single_text2';
  $handler->display->display_options['fields']['field_single_text2']['table'] = 'field_data_field_single_text2';
  $handler->display->display_options['fields']['field_single_text2']['field'] = 'field_single_text2';
  $handler->display->display_options['fields']['field_single_text2']['ui_name'] = 'Aging';
  $handler->display->display_options['fields']['field_single_text2']['label'] = 'Aging';
  $handler->display->display_options['fields']['field_single_text2']['element_type'] = 'span';
  /* Field: Content: Vendor */
  $handler->display->display_options['fields']['field_vendor']['id'] = 'field_vendor';
  $handler->display->display_options['fields']['field_vendor']['table'] = 'field_data_field_vendor';
  $handler->display->display_options['fields']['field_vendor']['field'] = 'field_vendor';
  $handler->display->display_options['fields']['field_vendor']['label'] = 'Place of buy';
  $handler->display->display_options['fields']['field_vendor']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_vendor']['settings'] = array(
    'link' => 1,
  );
  /* Field: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['ui_name'] = 'Price';
  $handler->display->display_options['fields']['field_float']['element_type'] = 'span';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Producer bottle link */
  $handler->display->display_options['fields']['field_link']['id'] = 'field_link';
  $handler->display->display_options['fields']['field_link']['table'] = 'field_data_field_link';
  $handler->display->display_options['fields']['field_link']['field'] = 'field_link';
  $handler->display->display_options['fields']['field_link']['ui_name'] = 'Producer bottle link';
  $handler->display->display_options['fields']['field_link']['label'] = '';
  $handler->display->display_options['fields']['field_link']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_link']['click_sort_column'] = 'url';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Global: Random */
  $handler->display->display_options['sorts']['random']['id'] = 'random';
  $handler->display->display_options['sorts']['random']['table'] = 'views';
  $handler->display->display_options['sorts']['random']['field'] = 'random';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['pane_title'] = 'Random wine';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Current wine nid',
    ),
  );
  $export['current_wine'] = $view;

  $view = new view();
  $view->name = 'rated';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Rated';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Flags: favorite counter */
  $handler->display->display_options['relationships']['flag_count_rel']['id'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_count_rel']['field'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['label'] = 'favorite';
  $handler->display->display_options['relationships']['flag_count_rel']['flag'] = 'favorite';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'bottle_small',
    'image_link' => 'content',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Flags: Flag counter */
  $handler->display->display_options['fields']['count']['id'] = 'count';
  $handler->display->display_options['fields']['count']['table'] = 'flag_counts';
  $handler->display->display_options['fields']['count']['field'] = 'count';
  $handler->display->display_options['fields']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['fields']['count']['label'] = '';
  $handler->display->display_options['fields']['count']['element_label_colon'] = FALSE;
  /* Sort criterion: Flags: Flag counter */
  $handler->display->display_options['sorts']['count']['id'] = 'count';
  $handler->display->display_options['sorts']['count']['table'] = 'flag_counts';
  $handler->display->display_options['sorts']['count']['field'] = 'count';
  $handler->display->display_options['sorts']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['sorts']['count']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'wine' => 'wine',
  );

  /* Display: CP 3 favorites */
  $handler = $view->new_display('panel_pane', 'CP 3 favorites', 'cp_3_favorites');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'All favorites';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '3';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Flags: Flag counter */
  $handler->display->display_options['sorts']['count']['id'] = 'count';
  $handler->display->display_options['sorts']['count']['table'] = 'flag_counts';
  $handler->display->display_options['sorts']['count']['field'] = 'count';
  $handler->display->display_options['sorts']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['pane_title'] = 'top 3 favorites';
  $handler->display->display_options['pane_description'] = 'displays 3 most flagged as favorites';

  /* Display: CP favorites 3-10 */
  $handler = $view->new_display('panel_pane', 'CP favorites 3-10', 'cp_favorites_3_10');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '7';
  $handler->display->display_options['pager']['options']['offset'] = '3';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'count' => 'count',
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Flags: Flag counter */
  $handler->display->display_options['fields']['count']['id'] = 'count';
  $handler->display->display_options['fields']['count']['table'] = 'flag_counts';
  $handler->display->display_options['fields']['count']['field'] = 'count';
  $handler->display->display_options['fields']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['fields']['count']['label'] = '';
  $handler->display->display_options['fields']['count']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['pane_title'] = 'favorites 3 to 10';
  $handler->display->display_options['pane_description'] = 'displays most flagged as favorites from 3 to 10';

  /* Display: CP 3 highest rated */
  $handler = $view->new_display('panel_pane', 'CP 3 highest rated', 'cp_3_highest');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Highest rated';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '3';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'note';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'bottle_small',
    'image_link' => 'content',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Field: Area */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['group_type'] = 'avg';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Field: Area (field_singlenumber) */
  $handler->display->display_options['sorts']['field_singlenumber_value']['id'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['sorts']['field_singlenumber_value']['field'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['sorts']['field_singlenumber_value']['group_type'] = 'avg';
  $handler->display->display_options['sorts']['field_singlenumber_value']['order'] = 'DESC';
  $handler->display->display_options['pane_title'] = 'top 3 highest rated wines';
  $handler->display->display_options['pane_description'] = 'displays 3 most highest rated wines';

  /* Display: CP highest rated 3-10 */
  $handler = $view->new_display('panel_pane', 'CP highest rated 3-10', 'cp_highest_3_10');
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '7';
  $handler->display->display_options['pager']['options']['offset'] = '3';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_singlenumber' => 'field_singlenumber',
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'note';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Area */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['group_type'] = 'avg';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Field: Area (field_singlenumber) */
  $handler->display->display_options['sorts']['field_singlenumber_value']['id'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['sorts']['field_singlenumber_value']['field'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['sorts']['field_singlenumber_value']['group_type'] = 'avg';
  $handler->display->display_options['sorts']['field_singlenumber_value']['order'] = 'DESC';
  $handler->display->display_options['pane_title'] = '3 to 10 highest rates';
  $export['rated'] = $view;

  $view = new view();
  $view->name = 'top_terms';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'taxonomy_term_data';
  $view->human_name = 'Top terms';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['row_class'] = '[field_color]';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_color' => 'field_color',
    'counter' => 'counter',
    'name' => 'name',
    'field_singlenumber' => 'field_singlenumber',
  );
  $handler->display->display_options['style_options']['default'] = 'field_singlenumber';
  $handler->display->display_options['style_options']['info'] = array(
    'field_color' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_singlenumber' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Taxonomy term: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['name']['link_to_taxonomy'] = TRUE;
  /* Field: Field: Area */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Total (ha)';
  $handler->display->display_options['fields']['field_singlenumber']['empty'] = 'unknown';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Sort criterion: Field: Area (field_singlenumber) */
  $handler->display->display_options['sorts']['field_singlenumber_value']['id'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['sorts']['field_singlenumber_value']['field'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['order'] = 'DESC';
  /* Filter criterion: Taxonomy vocabulary: Machine name */
  $handler->display->display_options['filters']['machine_name']['id'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['table'] = 'taxonomy_vocabulary';
  $handler->display->display_options['filters']['machine_name']['field'] = 'machine_name';
  $handler->display->display_options['filters']['machine_name']['value'] = array(
    'grape' => 'grape',
  );

  /* Display: CP Top grapes world */
  $handler = $view->new_display('panel_pane', 'CP Top grapes world', 'cp_top_grapes_world');
  $handler->display->display_options['pane_title'] = 'Top grapes world';
  $handler->display->display_options['pane_description'] = 'display a table with most planted grapes worldwide';
  $handler->display->display_options['pane_category']['name'] = 'terms';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $export['top_terms'] = $view;

  $view = new view();
  $view->name = 'wines';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Wines';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Wines';
  $handler->display->display_options['display_comment'] = 'see opentastings_wine_views_query_alter to OR arguments (official OR user)';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['reset_button'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['row_class'] = '[field_color] [field_single_checkbox] [field_agriculture]';
  $handler->display->display_options['style_options']['columns'] = array(
    'field_singleimage' => 'field_singleimage',
    'title' => 'title',
    'field_appelation' => 'field_appelation',
    'field_grapes' => 'field_grapes',
    'field_vintage' => 'field_vintage',
    'field_float' => 'field_float',
    'field_singlenumber' => 'field_singlenumber',
    'field_agriculture' => 'field_agriculture',
    'field_color' => 'field_color',
    'field_single_checkbox' => 'field_single_checkbox',
    'field_geolocation' => 'field_geolocation',
    'edit_node' => 'edit_node',
    'draggableviews' => 'draggableviews',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'field_singleimage' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_appelation' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_grapes' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_vintage' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_float' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_singlenumber' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_agriculture' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_color' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_single_checkbox' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_geolocation' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'draggableviews' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['sticky'] = TRUE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'no wines';
  $handler->display->display_options['empty']['area']['format'] = 'full';
  /* Relationship: notes */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['ui_name'] = 'notes';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'notes';
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Wine';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['element_label_colon'] = FALSE;
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Content: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: AVG(Field: Area) */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['group_type'] = 'avg';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );
  $handler->display->display_options['fields']['field_geolocation']['group_column'] = 'entity_id';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'wine' => 'wine',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;

  /* Display: CP wines + filters */
  $handler = $view->new_display('panel_pane', 'CP wines + filters', 'cp_official_wines_list');
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['defaults']['link_display'] = FALSE;
  $handler->display->display_options['link_display'] = 'custom_url';
  $handler->display->display_options['link_url'] = 'user/!1/wines';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Author uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'node';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'wine' => 'wine',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['ui_name'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['title']['expose']['description'] = 'type only a part of the word';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: grape */
  $handler->display->display_options['filters']['tid_2']['id'] = 'tid_2';
  $handler->display->display_options['filters']['tid_2']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid_2']['field'] = 'tid';
  $handler->display->display_options['filters']['tid_2']['ui_name'] = 'grape';
  $handler->display->display_options['filters']['tid_2']['group'] = 1;
  $handler->display->display_options['filters']['tid_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_2']['expose']['operator_id'] = 'tid_2_op';
  $handler->display->display_options['filters']['tid_2']['expose']['label'] = 'Grape';
  $handler->display->display_options['filters']['tid_2']['expose']['operator'] = 'tid_2_op';
  $handler->display->display_options['filters']['tid_2']['expose']['identifier'] = 'gtid';
  $handler->display->display_options['filters']['tid_2']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['tid_2']['type'] = 'select';
  $handler->display->display_options['filters']['tid_2']['vocabulary'] = 'grape';
  /* Filter criterion: region */
  $handler->display->display_options['filters']['term_node_tid_depth']['id'] = 'term_node_tid_depth';
  $handler->display->display_options['filters']['term_node_tid_depth']['table'] = 'node';
  $handler->display->display_options['filters']['term_node_tid_depth']['field'] = 'term_node_tid_depth';
  $handler->display->display_options['filters']['term_node_tid_depth']['ui_name'] = 'region';
  $handler->display->display_options['filters']['term_node_tid_depth']['group'] = 1;
  $handler->display->display_options['filters']['term_node_tid_depth']['exposed'] = TRUE;
  $handler->display->display_options['filters']['term_node_tid_depth']['expose']['operator_id'] = 'term_node_tid_depth_op';
  $handler->display->display_options['filters']['term_node_tid_depth']['expose']['label'] = 'Region';
  $handler->display->display_options['filters']['term_node_tid_depth']['expose']['operator'] = 'term_node_tid_depth_op';
  $handler->display->display_options['filters']['term_node_tid_depth']['expose']['identifier'] = 'region';
  $handler->display->display_options['filters']['term_node_tid_depth']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['term_node_tid_depth']['type'] = 'select';
  $handler->display->display_options['filters']['term_node_tid_depth']['vocabulary'] = 'region';
  $handler->display->display_options['filters']['term_node_tid_depth']['hierarchy'] = 1;
  $handler->display->display_options['filters']['term_node_tid_depth']['depth'] = '4';
  /* Filter criterion: Content: Agriculture (field_agriculture) */
  $handler->display->display_options['filters']['field_agriculture_value']['id'] = 'field_agriculture_value';
  $handler->display->display_options['filters']['field_agriculture_value']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['filters']['field_agriculture_value']['field'] = 'field_agriculture_value';
  $handler->display->display_options['filters']['field_agriculture_value']['value'] = array(
    'organic' => 'organic',
  );
  $handler->display->display_options['filters']['field_agriculture_value']['group'] = 1;
  $handler->display->display_options['filters']['field_agriculture_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['operator_id'] = 'field_agriculture_value_op';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['label'] = 'Agriculture ';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['operator'] = 'field_agriculture_value_op';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['identifier'] = 'field_agriculture_value';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['reduce'] = TRUE;
  /* Filter criterion: Field: Color (field_color) */
  $handler->display->display_options['filters']['field_color_value']['id'] = 'field_color_value';
  $handler->display->display_options['filters']['field_color_value']['table'] = 'field_data_field_color';
  $handler->display->display_options['filters']['field_color_value']['field'] = 'field_color_value';
  $handler->display->display_options['filters']['field_color_value']['group'] = 1;
  $handler->display->display_options['filters']['field_color_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_color_value']['expose']['operator_id'] = 'field_color_value_op';
  $handler->display->display_options['filters']['field_color_value']['expose']['label'] = 'Color';
  $handler->display->display_options['filters']['field_color_value']['expose']['operator'] = 'field_color_value_op';
  $handler->display->display_options['filters']['field_color_value']['expose']['identifier'] = 'field_color_value';
  $handler->display->display_options['filters']['field_color_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Content: Vintage (field_vintage) */
  $handler->display->display_options['filters']['field_vintage_value']['id'] = 'field_vintage_value';
  $handler->display->display_options['filters']['field_vintage_value']['table'] = 'field_data_field_vintage';
  $handler->display->display_options['filters']['field_vintage_value']['field'] = 'field_vintage_value';
  $handler->display->display_options['filters']['field_vintage_value']['group'] = 1;
  $handler->display->display_options['filters']['field_vintage_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_vintage_value']['expose']['operator_id'] = 'field_vintage_value_op';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['label'] = 'Vintage';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['operator'] = 'field_vintage_value_op';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['identifier'] = 'field_vintage_value';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['field_vintage_value']['granularity'] = 'year';
  $handler->display->display_options['filters']['field_vintage_value']['year_range'] = '-10:+0';
  /* Filter criterion: vendor */
  $handler->display->display_options['filters']['tid']['id'] = 'tid';
  $handler->display->display_options['filters']['tid']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid']['field'] = 'tid';
  $handler->display->display_options['filters']['tid']['ui_name'] = 'vendor';
  $handler->display->display_options['filters']['tid']['group'] = 1;
  $handler->display->display_options['filters']['tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid']['expose']['operator_id'] = 'tid_op';
  $handler->display->display_options['filters']['tid']['expose']['label'] = 'Vendor';
  $handler->display->display_options['filters']['tid']['expose']['operator'] = 'tid_op';
  $handler->display->display_options['filters']['tid']['expose']['identifier'] = 'vtid';
  $handler->display->display_options['filters']['tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['tid']['type'] = 'select';
  $handler->display->display_options['filters']['tid']['vocabulary'] = 'vendor';
  /* Filter criterion: food */
  $handler->display->display_options['filters']['tid_1']['id'] = 'tid_1';
  $handler->display->display_options['filters']['tid_1']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid_1']['field'] = 'tid';
  $handler->display->display_options['filters']['tid_1']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['filters']['tid_1']['ui_name'] = 'food';
  $handler->display->display_options['filters']['tid_1']['group'] = 1;
  $handler->display->display_options['filters']['tid_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_1']['expose']['operator_id'] = 'tid_1_op';
  $handler->display->display_options['filters']['tid_1']['expose']['label'] = 'Food';
  $handler->display->display_options['filters']['tid_1']['expose']['operator'] = 'tid_1_op';
  $handler->display->display_options['filters']['tid_1']['expose']['identifier'] = 'ftid';
  $handler->display->display_options['filters']['tid_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['tid_1']['type'] = 'select';
  $handler->display->display_options['filters']['tid_1']['vocabulary'] = 'food';
  /* Filter criterion: Rating */
  $handler->display->display_options['filters']['field_singlenumber_value']['id'] = 'field_singlenumber_value';
  $handler->display->display_options['filters']['field_singlenumber_value']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['filters']['field_singlenumber_value']['field'] = 'field_singlenumber_value';
  $handler->display->display_options['filters']['field_singlenumber_value']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['filters']['field_singlenumber_value']['ui_name'] = 'Rating';
  $handler->display->display_options['filters']['field_singlenumber_value']['operator'] = '>=';
  $handler->display->display_options['filters']['field_singlenumber_value']['group'] = 1;
  $handler->display->display_options['filters']['field_singlenumber_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['operator_id'] = 'oprating';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['label'] = 'Rating';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['operator'] = 'field_singlenumber_value_op';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['identifier'] = 'rating';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Price */
  $handler->display->display_options['filters']['field_float_value']['id'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value']['table'] = 'field_data_field_float';
  $handler->display->display_options['filters']['field_float_value']['field'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value']['ui_name'] = 'Price';
  $handler->display->display_options['filters']['field_float_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_float_value']['group'] = 1;
  $handler->display->display_options['filters']['field_float_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_float_value']['expose']['operator_id'] = 'opprice';
  $handler->display->display_options['filters']['field_float_value']['expose']['label'] = 'Price';
  $handler->display->display_options['filters']['field_float_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_float_value']['expose']['operator'] = 'field_float_value_op';
  $handler->display->display_options['filters']['field_float_value']['expose']['identifier'] = 'price';
  $handler->display->display_options['filters']['field_float_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['field_float_value']['group_info']['label'] = 'Float (field_float)';
  $handler->display->display_options['filters']['field_float_value']['group_info']['identifier'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value']['group_info']['remember'] = FALSE;
  $handler->display->display_options['filters']['field_float_value']['group_info']['group_items'] = array(
    1 => array(),
    2 => array(),
    3 => array(),
  );
  $handler->display->display_options['pane_title'] = 'Wines (official or belonging to logged in user)';
  $handler->display->display_options['pane_description'] = 'contextual filter only used for user wines';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 'more_link';
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'count' => array(
      'type' => 'user',
      'context' => 'entity:flagging.original',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Official',
    ),
    'uid' => array(
      'type' => 'context',
      'context' => 'entity:user.uid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Author uid',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';

  /* Display: ODO all wines + filters */
  $handler = $view->new_display('openlayers', 'ODO all wines + filters', 'odo_all_wines_filtered');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_data';
  $handler->display->display_options['style_options']['data_source'] = array(
    'value' => 'wkt',
    'other_lat' => 'title',
    'other_lon' => 'title',
    'wkt' => 'field_geolocation',
    'other_top' => 'title',
    'other_right' => 'title',
    'other_bottom' => 'title',
    'other_left' => 'title',
    'name_field' => 'title',
    'description_field' => '',
    'view_mode' => 'full',
    'style_field' => '',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['label'] = '';
  $handler->display->display_options['fields']['field_appelation']['element_label_colon'] = FALSE;
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Content: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: AVG(Field: Area) */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['group_type'] = 'avg';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );
  $handler->display->display_options['fields']['field_geolocation']['group_column'] = 'entity_id';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'wine' => 'wine',
  );
  /* Filter criterion: Content: Agriculture (field_agriculture) */
  $handler->display->display_options['filters']['field_agriculture_value']['id'] = 'field_agriculture_value';
  $handler->display->display_options['filters']['field_agriculture_value']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['filters']['field_agriculture_value']['field'] = 'field_agriculture_value';
  $handler->display->display_options['filters']['field_agriculture_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['operator_id'] = 'field_agriculture_value_op';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['label'] = 'Agriculture ';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['operator'] = 'field_agriculture_value_op';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['identifier'] = 'field_agriculture_value';
  $handler->display->display_options['filters']['field_agriculture_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Field: Color (field_color) */
  $handler->display->display_options['filters']['field_color_value']['id'] = 'field_color_value';
  $handler->display->display_options['filters']['field_color_value']['table'] = 'field_data_field_color';
  $handler->display->display_options['filters']['field_color_value']['field'] = 'field_color_value';
  $handler->display->display_options['filters']['field_color_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_color_value']['expose']['operator_id'] = 'field_color_value_op';
  $handler->display->display_options['filters']['field_color_value']['expose']['label'] = 'Color';
  $handler->display->display_options['filters']['field_color_value']['expose']['operator'] = 'field_color_value_op';
  $handler->display->display_options['filters']['field_color_value']['expose']['identifier'] = 'field_color_value';
  $handler->display->display_options['filters']['field_color_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Price */
  $handler->display->display_options['filters']['field_float_value']['id'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value']['table'] = 'field_data_field_float';
  $handler->display->display_options['filters']['field_float_value']['field'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value']['ui_name'] = 'Price';
  $handler->display->display_options['filters']['field_float_value']['operator'] = 'between';
  $handler->display->display_options['filters']['field_float_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_float_value']['expose']['operator_id'] = 'field_float_value_op';
  $handler->display->display_options['filters']['field_float_value']['expose']['label'] = 'Price';
  $handler->display->display_options['filters']['field_float_value']['expose']['operator'] = 'field_float_value_op';
  $handler->display->display_options['filters']['field_float_value']['expose']['identifier'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_float_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['field_float_value']['group_info']['label'] = 'Float (field_float)';
  $handler->display->display_options['filters']['field_float_value']['group_info']['identifier'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value']['group_info']['remember'] = FALSE;
  $handler->display->display_options['filters']['field_float_value']['group_info']['group_items'] = array(
    1 => array(),
    2 => array(),
    3 => array(),
  );
  /* Filter criterion: Content: Grape variety (field_grapes:proportion) */
  $handler->display->display_options['filters']['field_grapes_proportion']['id'] = 'field_grapes_proportion';
  $handler->display->display_options['filters']['field_grapes_proportion']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['filters']['field_grapes_proportion']['field'] = 'field_grapes_proportion';
  $handler->display->display_options['filters']['field_grapes_proportion']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_grapes_proportion']['expose']['operator_id'] = 'field_grapes_proportion_op';
  $handler->display->display_options['filters']['field_grapes_proportion']['expose']['label'] = 'Grape variety';
  $handler->display->display_options['filters']['field_grapes_proportion']['expose']['operator'] = 'field_grapes_proportion_op';
  $handler->display->display_options['filters']['field_grapes_proportion']['expose']['identifier'] = 'field_grapes_proportion';
  $handler->display->display_options['filters']['field_grapes_proportion']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Content: Vendor (field_vendor) */
  $handler->display->display_options['filters']['field_vendor_target_id']['id'] = 'field_vendor_target_id';
  $handler->display->display_options['filters']['field_vendor_target_id']['table'] = 'field_data_field_vendor';
  $handler->display->display_options['filters']['field_vendor_target_id']['field'] = 'field_vendor_target_id';
  $handler->display->display_options['filters']['field_vendor_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_vendor_target_id']['expose']['operator_id'] = 'field_vendor_target_id_op';
  $handler->display->display_options['filters']['field_vendor_target_id']['expose']['label'] = 'Vendor';
  $handler->display->display_options['filters']['field_vendor_target_id']['expose']['operator'] = 'field_vendor_target_id_op';
  $handler->display->display_options['filters']['field_vendor_target_id']['expose']['identifier'] = 'field_vendor_target_id';
  $handler->display->display_options['filters']['field_vendor_target_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Content: Vintage (field_vintage) */
  $handler->display->display_options['filters']['field_vintage_value']['id'] = 'field_vintage_value';
  $handler->display->display_options['filters']['field_vintage_value']['table'] = 'field_data_field_vintage';
  $handler->display->display_options['filters']['field_vintage_value']['field'] = 'field_vintage_value';
  $handler->display->display_options['filters']['field_vintage_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_vintage_value']['expose']['operator_id'] = 'field_vintage_value_op';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['label'] = 'Vintage';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['operator'] = 'field_vintage_value_op';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['identifier'] = 'field_vintage_value';
  $handler->display->display_options['filters']['field_vintage_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['field_vintage_value']['granularity'] = 'year';
  $handler->display->display_options['filters']['field_vintage_value']['year_range'] = '-10:+0';
  /* Filter criterion: grape */
  $handler->display->display_options['filters']['tid']['id'] = 'tid';
  $handler->display->display_options['filters']['tid']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid']['field'] = 'tid';
  $handler->display->display_options['filters']['tid']['ui_name'] = 'grape';
  $handler->display->display_options['filters']['tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid']['expose']['operator_id'] = 'tid_op';
  $handler->display->display_options['filters']['tid']['expose']['label'] = 'grape';
  $handler->display->display_options['filters']['tid']['expose']['operator'] = 'tid_op';
  $handler->display->display_options['filters']['tid']['expose']['identifier'] = 'gtid';
  $handler->display->display_options['filters']['tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['tid']['type'] = 'select';
  $handler->display->display_options['filters']['tid']['vocabulary'] = 'grape';
  /* Filter criterion: vendor */
  $handler->display->display_options['filters']['tid_1']['id'] = 'tid_1';
  $handler->display->display_options['filters']['tid_1']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid_1']['field'] = 'tid';
  $handler->display->display_options['filters']['tid_1']['ui_name'] = 'vendor';
  $handler->display->display_options['filters']['tid_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_1']['expose']['operator_id'] = 'tid_1_op';
  $handler->display->display_options['filters']['tid_1']['expose']['label'] = 'Vendor';
  $handler->display->display_options['filters']['tid_1']['expose']['operator'] = 'tid_1_op';
  $handler->display->display_options['filters']['tid_1']['expose']['identifier'] = 'vtid';
  $handler->display->display_options['filters']['tid_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['tid_1']['type'] = 'select';
  $handler->display->display_options['filters']['tid_1']['vocabulary'] = 'vendor';
  /* Filter criterion: food */
  $handler->display->display_options['filters']['tid_2']['id'] = 'tid_2';
  $handler->display->display_options['filters']['tid_2']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid_2']['field'] = 'tid';
  $handler->display->display_options['filters']['tid_2']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['filters']['tid_2']['ui_name'] = 'food';
  $handler->display->display_options['filters']['tid_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_2']['expose']['operator_id'] = 'tid_2_op';
  $handler->display->display_options['filters']['tid_2']['expose']['label'] = 'Food';
  $handler->display->display_options['filters']['tid_2']['expose']['operator'] = 'tid_2_op';
  $handler->display->display_options['filters']['tid_2']['expose']['identifier'] = 'ftid';
  $handler->display->display_options['filters']['tid_2']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['tid_2']['type'] = 'select';
  $handler->display->display_options['filters']['tid_2']['vocabulary'] = 'food';
  /* Filter criterion: Price */
  $handler->display->display_options['filters']['field_float_value_1']['id'] = 'field_float_value_1';
  $handler->display->display_options['filters']['field_float_value_1']['table'] = 'field_data_field_float';
  $handler->display->display_options['filters']['field_float_value_1']['field'] = 'field_float_value';
  $handler->display->display_options['filters']['field_float_value_1']['ui_name'] = 'Price';
  $handler->display->display_options['filters']['field_float_value_1']['operator'] = '<=';
  $handler->display->display_options['filters']['field_float_value_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_float_value_1']['expose']['operator_id'] = 'opprice';
  $handler->display->display_options['filters']['field_float_value_1']['expose']['label'] = 'Price';
  $handler->display->display_options['filters']['field_float_value_1']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_float_value_1']['expose']['operator'] = 'field_float_value_1_op';
  $handler->display->display_options['filters']['field_float_value_1']['expose']['identifier'] = 'price';
  $handler->display->display_options['filters']['field_float_value_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: Rating */
  $handler->display->display_options['filters']['field_singlenumber_value']['id'] = 'field_singlenumber_value';
  $handler->display->display_options['filters']['field_singlenumber_value']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['filters']['field_singlenumber_value']['field'] = 'field_singlenumber_value';
  $handler->display->display_options['filters']['field_singlenumber_value']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['filters']['field_singlenumber_value']['ui_name'] = 'Rating';
  $handler->display->display_options['filters']['field_singlenumber_value']['operator'] = '>=';
  $handler->display->display_options['filters']['field_singlenumber_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['operator_id'] = 'oprating';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['label'] = 'Rating';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['operator'] = 'field_singlenumber_value_op';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['identifier'] = 'rating';
  $handler->display->display_options['filters']['field_singlenumber_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['ui_name'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  /* Filter criterion: region */
  $handler->display->display_options['filters']['tid_3']['id'] = 'tid_3';
  $handler->display->display_options['filters']['tid_3']['table'] = 'taxonomy_index';
  $handler->display->display_options['filters']['tid_3']['field'] = 'tid';
  $handler->display->display_options['filters']['tid_3']['ui_name'] = 'region';
  $handler->display->display_options['filters']['tid_3']['exposed'] = TRUE;
  $handler->display->display_options['filters']['tid_3']['expose']['operator_id'] = 'tid_3_op';
  $handler->display->display_options['filters']['tid_3']['expose']['label'] = 'Has taxonomy term';
  $handler->display->display_options['filters']['tid_3']['expose']['operator'] = 'tid_3_op';
  $handler->display->display_options['filters']['tid_3']['expose']['identifier'] = 'region';
  $handler->display->display_options['filters']['tid_3']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
  );
  $handler->display->display_options['filters']['tid_3']['type'] = 'select';
  $handler->display->display_options['filters']['tid_3']['vocabulary'] = 'region';
  $handler->display->display_options['filters']['tid_3']['hierarchy'] = 1;

  /* Display: CP Map filtered */
  $handler = $view->new_display('panel_pane', 'CP Map filtered', 'cp_all_wines_map_filtered');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_map';
  $handler->display->display_options['style_options']['map'] = 'all_wines_clustered';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['pane_title'] = 'All wines map filtered';
  $handler->display->display_options['pane_description'] = 'set official = 1 to display official wines, 0 to display only user ones';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'count' => array(
      'type' => 'user',
      'context' => 'entity:comment.author',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Official',
    ),
  );

  /* Display: CP Wines by grape MONO */
  $handler = $view->new_display('panel_pane', 'CP Wines by grape MONO', 'cp_wines_by_grape_mono');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Varietal';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: notes */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['ui_name'] = 'notes';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'notes';
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Relationship: grape */
  $handler->display->display_options['relationships']['term_node_tid']['id'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['table'] = 'node';
  $handler->display->display_options['relationships']['term_node_tid']['field'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['ui_name'] = 'grape';
  $handler->display->display_options['relationships']['term_node_tid']['label'] = 'grape';
  $handler->display->display_options['relationships']['term_node_tid']['vocabularies'] = array(
    'grape' => 'grape',
    'region' => 0,
    'aromes' => 0,
    'food' => 0,
    'producer' => 0,
    'tag' => 0,
    'tasting_words' => 0,
    'vendor' => 0,
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Wine';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['group_column'] = 'entity_id';
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Content: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Field: Area */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );
  $handler->display->display_options['fields']['field_geolocation']['group_column'] = 'entity_id';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: grape tid */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['relationship'] = 'term_node_tid';
  $handler->display->display_options['arguments']['tid']['ui_name'] = 'grape tid';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'wine' => 'wine',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: COUNT(Taxonomy term: Term ID) */
  $handler->display->display_options['filters']['tid_raw']['id'] = 'tid_raw';
  $handler->display->display_options['filters']['tid_raw']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['filters']['tid_raw']['field'] = 'tid_raw';
  $handler->display->display_options['filters']['tid_raw']['relationship'] = 'term_node_tid';
  $handler->display->display_options['filters']['tid_raw']['group_type'] = 'count';
  $handler->display->display_options['filters']['tid_raw']['value']['value'] = '1';
  $handler->display->display_options['pane_title'] = 'wines by grape MONO';
  $handler->display->display_options['pane_description'] = 'displays all wines containing the current grape';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'tid' => array(
      'type' => 'context',
      'context' => 'entity:taxonomy_term.tid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'grape tid',
    ),
  );

  /* Display: CP Wines by grape ass */
  $handler = $view->new_display('panel_pane', 'CP Wines by grape ass', 'cp_wines_by_grape_ass');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Blend';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: notes */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['ui_name'] = 'notes';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'notes';
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Relationship: grape */
  $handler->display->display_options['relationships']['term_node_tid']['id'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['table'] = 'node';
  $handler->display->display_options['relationships']['term_node_tid']['field'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['ui_name'] = 'grape';
  $handler->display->display_options['relationships']['term_node_tid']['label'] = 'grape';
  $handler->display->display_options['relationships']['term_node_tid']['vocabularies'] = array(
    'grape' => 'grape',
    'region' => 0,
    'aromes' => 0,
    'food' => 0,
    'producer' => 0,
    'tag' => 0,
    'tasting_words' => 0,
    'vendor' => 0,
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Wine';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['group_column'] = 'entity_id';
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Content: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Field: Area */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );
  $handler->display->display_options['fields']['field_geolocation']['group_column'] = 'entity_id';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: grape tid */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['relationship'] = 'term_node_tid';
  $handler->display->display_options['arguments']['tid']['ui_name'] = 'grape tid';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'wine' => 'wine',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: COUNT(Taxonomy term: Term ID) */
  $handler->display->display_options['filters']['tid_raw']['id'] = 'tid_raw';
  $handler->display->display_options['filters']['tid_raw']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['filters']['tid_raw']['field'] = 'tid_raw';
  $handler->display->display_options['filters']['tid_raw']['relationship'] = 'term_node_tid';
  $handler->display->display_options['filters']['tid_raw']['group_type'] = 'count';
  $handler->display->display_options['filters']['tid_raw']['operator'] = '>';
  $handler->display->display_options['filters']['tid_raw']['value']['value'] = '1';
  $handler->display->display_options['pane_title'] = 'wines by grape blend';
  $handler->display->display_options['pane_description'] = 'displays all wines containing the current grape';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'tid' => array(
      'type' => 'context',
      'context' => 'entity:taxonomy_term.tid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'grape tid',
    ),
  );

  /* Display: CP related to childeren */
  $handler = $view->new_display('panel_pane', 'CP related to childeren', 'cp_wines_related_childeren');
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: tid (with depth) */
  $handler->display->display_options['arguments']['term_node_tid_depth']['id'] = 'term_node_tid_depth';
  $handler->display->display_options['arguments']['term_node_tid_depth']['table'] = 'node';
  $handler->display->display_options['arguments']['term_node_tid_depth']['field'] = 'term_node_tid_depth';
  $handler->display->display_options['arguments']['term_node_tid_depth']['ui_name'] = 'tid (with depth)';
  $handler->display->display_options['arguments']['term_node_tid_depth']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['term_node_tid_depth']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['term_node_tid_depth']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['term_node_tid_depth']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['term_node_tid_depth']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['term_node_tid_depth']['depth'] = '3';
  $handler->display->display_options['pane_title'] = 'Wines related to children terms';
  $handler->display->display_options['pane_description'] = 'depth 4, apply to region';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'term_node_tid_depth' => array(
      'type' => 'context',
      'context' => 'entity:taxonomy_term.tid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'tid (with depth)',
    ),
    'term_node_tid_depth_1' => array(
      'type' => 'context',
      'context' => 'entity:taxonomy_term.tid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'note tid with 2 depth',
    ),
  );

  /* Display: CP related to note childeren */
  $handler = $view->new_display('panel_pane', 'CP related to note childeren', 'cp_wines_related_note_childeren');
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: note tid with 2 depth */
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['id'] = 'term_node_tid_depth_1';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['table'] = 'node';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['field'] = 'term_node_tid_depth';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['ui_name'] = 'note tid with 2 depth';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['term_node_tid_depth_1']['depth'] = '1';
  $handler->display->display_options['pane_title'] = 'Wines related to note children terms';
  $handler->display->display_options['pane_description'] = 'depth 1, apply to food';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'term_node_tid_depth_1' => array(
      'type' => 'context',
      'context' => 'entity:taxonomy_term.tid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'note tid with 2 depth',
    ),
  );

  /* Display: CP related to session */
  $handler = $view->new_display('panel_pane', 'CP related to session', 'cp_wines_related_session');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: notes */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['ui_name'] = 'notes';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'notes';
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Relationship: session */
  $handler->display->display_options['relationships']['field_session_target_id']['id'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['table'] = 'field_data_field_session';
  $handler->display->display_options['relationships']['field_session_target_id']['field'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['field_session_target_id']['ui_name'] = 'session';
  $handler->display->display_options['relationships']['field_session_target_id']['label'] = 'session';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => 'content',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Wine';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Content: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: AVG(Field: Area) */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['group_type'] = 'avg';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );
  $handler->display->display_options['fields']['field_geolocation']['group_column'] = 'entity_id';
  /* Field: Draggableviews: Content */
  $handler->display->display_options['fields']['draggableviews']['id'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['table'] = 'node';
  $handler->display->display_options['fields']['draggableviews']['field'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['label'] = '';
  $handler->display->display_options['fields']['draggableviews']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['ajax'] = 0;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Draggableviews: Weight */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'draggableviews_structure';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_view'] = 'self';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_new_items_bottom_list'] = 1;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Session nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_session_target_id';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Session nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_title'] = 'Wines related to session';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'count' => array(
      'type' => 'fixed',
      'context' => 'entity:comment.author',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '1',
      'label' => '1',
    ),
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Session nid',
    ),
  );

  /* Display: ODO session wines */
  $handler = $view->new_display('openlayers', 'ODO session wines', 'session_wines');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_data';
  $handler->display->display_options['style_options']['data_source'] = array(
    'value' => 'wkt',
    'other_lat' => 'title',
    'other_lon' => 'title',
    'wkt' => 'field_geolocation',
    'other_top' => 'title',
    'other_right' => 'title',
    'other_bottom' => 'title',
    'other_left' => 'title',
    'name_field' => 'title',
    'description_field' => 'field_appelation',
    'view_mode' => 'full',
    'style_field' => '',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: notes */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['ui_name'] = 'notes';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'notes';
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Relationship: session */
  $handler->display->display_options['relationships']['field_session_target_id']['id'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['table'] = 'field_data_field_session';
  $handler->display->display_options['relationships']['field_session_target_id']['field'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['field_session_target_id']['ui_name'] = 'session';
  $handler->display->display_options['relationships']['field_session_target_id']['label'] = 'session';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['label'] = '';
  $handler->display->display_options['fields']['field_appelation']['element_label_colon'] = FALSE;
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );
  $handler->display->display_options['fields']['field_geolocation']['group_column'] = 'entity_id';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Session nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_session_target_id';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Session nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';

  /* Display: CP session map */
  $handler = $view->new_display('panel_pane', 'CP session map', 'cp_session_map');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_map';
  $handler->display->display_options['style_options']['map'] = 'session_wines';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: notes */
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['id'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['field'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['ui_name'] = 'notes';
  $handler->display->display_options['relationships']['reverse_field_wineref_node']['label'] = 'notes';
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Relationship: session */
  $handler->display->display_options['relationships']['field_session_target_id']['id'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['table'] = 'field_data_field_session';
  $handler->display->display_options['relationships']['field_session_target_id']['field'] = 'field_session_target_id';
  $handler->display->display_options['relationships']['field_session_target_id']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['relationships']['field_session_target_id']['ui_name'] = 'session';
  $handler->display->display_options['relationships']['field_session_target_id']['label'] = 'session';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  /* Field: Content: Grape variety */
  $handler->display->display_options['fields']['field_grapes']['id'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['table'] = 'field_data_field_grapes';
  $handler->display->display_options['fields']['field_grapes']['field'] = 'field_grapes';
  $handler->display->display_options['fields']['field_grapes']['click_sort_column'] = 'tid';
  $handler->display->display_options['fields']['field_grapes']['settings'] = array(
    'field_location' => 'after',
  );
  $handler->display->display_options['fields']['field_grapes']['delta_offset'] = '0';
  /* Field: Content: Vintage */
  $handler->display->display_options['fields']['field_vintage']['id'] = 'field_vintage';
  $handler->display->display_options['fields']['field_vintage']['table'] = 'field_data_field_vintage';
  $handler->display->display_options['fields']['field_vintage']['field'] = 'field_vintage';
  /* Field: Content: Price */
  $handler->display->display_options['fields']['field_float']['id'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['table'] = 'field_data_field_float';
  $handler->display->display_options['fields']['field_float']['field'] = 'field_float';
  $handler->display->display_options['fields']['field_float']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  /* Field: Rating */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['ui_name'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Taxonomy term: Geolocation */
  $handler->display->display_options['fields']['field_geolocation']['id'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['table'] = 'field_data_field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['field'] = 'field_geolocation';
  $handler->display->display_options['fields']['field_geolocation']['relationship'] = 'field_appelation_tid';
  $handler->display->display_options['fields']['field_geolocation']['label'] = '';
  $handler->display->display_options['fields']['field_geolocation']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_geolocation']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_geolocation']['click_sort_column'] = 'geom';
  $handler->display->display_options['fields']['field_geolocation']['settings'] = array(
    'data' => 'full',
  );
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: session nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_session_target_id';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'session nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_title'] = 'Map of wines related to session';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Session nid',
    ),
  );

  /* Display: CP related by grapes */
  $handler = $view->new_display('panel_pane', 'CP related by grapes', 'cp_related_by_grapes');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'More like this';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Taxonomy terms on node */
  $handler->display->display_options['relationships']['term_node_tid']['id'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['table'] = 'node';
  $handler->display->display_options['relationships']['term_node_tid']['field'] = 'term_node_tid';
  $handler->display->display_options['relationships']['term_node_tid']['label'] = 'grape';
  $handler->display->display_options['relationships']['term_node_tid']['required'] = TRUE;
  $handler->display->display_options['relationships']['term_node_tid']['vocabularies'] = array(
    'grape' => 'grape',
    'aromes' => 0,
    'food' => 0,
    'producer' => 0,
    'region' => 0,
    'tag' => 0,
    'tasting_words' => 0,
    'vendor' => 0,
  );
  /* Relationship: Taxonomy term: Content with term */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'taxonomy_index';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['relationships']['nid']['relationship'] = 'term_node_tid';
  $handler->display->display_options['relationships']['nid']['label'] = 'node with grape terms';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'nid';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: COUNT(Content: Nid) */
  $handler->display->display_options['sorts']['nid']['id'] = 'nid';
  $handler->display->display_options['sorts']['nid']['table'] = 'node';
  $handler->display->display_options['sorts']['nid']['field'] = 'nid';
  $handler->display->display_options['sorts']['nid']['relationship'] = 'nid';
  $handler->display->display_options['sorts']['nid']['group_type'] = 'count';
  $handler->display->display_options['sorts']['nid']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Current wine nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['ui_name'] = 'Current wine nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['arguments']['nid_1']['table'] = 'node';
  $handler->display->display_options['arguments']['nid_1']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid_1']['relationship'] = 'nid';
  $handler->display->display_options['arguments']['nid_1']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid_1']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid_1']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid_1']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid_1']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid_1']['not'] = TRUE;
  $handler->display->display_options['pane_title'] = 'related by grapes';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Current wine nid',
    ),
    'nid_1' => array(
      'type' => 'context',
      'context' => 'entity:node.nid',
      'context_optional' => 1,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Nid',
    ),
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');

  /* Display: CP most favorites */
  $handler = $view->new_display('panel_pane', 'CP most favorites', 'cp_most_favorites');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'All favorites';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Relationship: Flags: favorite counter */
  $handler->display->display_options['relationships']['flag_count_rel']['id'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_count_rel']['field'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['label'] = 'favorite';
  $handler->display->display_options['relationships']['flag_count_rel']['flag'] = 'favorite';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '#';
  $handler->display->display_options['fields']['counter']['exclude'] = TRUE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Wine';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Flags: Flag counter */
  $handler->display->display_options['fields']['count']['id'] = 'count';
  $handler->display->display_options['fields']['count']['table'] = 'flag_counts';
  $handler->display->display_options['fields']['count']['field'] = 'count';
  $handler->display->display_options['fields']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['fields']['count']['label'] = 'marked';
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['exclude'] = TRUE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Flags: Flag counter */
  $handler->display->display_options['sorts']['count']['id'] = 'count';
  $handler->display->display_options['sorts']['count']['table'] = 'flag_counts';
  $handler->display->display_options['sorts']['count']['field'] = 'count';
  $handler->display->display_options['sorts']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['sorts']['count']['order'] = 'DESC';
  $handler->display->display_options['pane_title'] = 'All favorites';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';

  /* Display: CP highest rated */
  $handler = $view->new_display('panel_pane', 'CP highest rated', 'cp_highest_rated');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Highest rated';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '#';
  $handler->display->display_options['fields']['counter']['exclude'] = TRUE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Wine';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['exclude'] = TRUE;
  /* Field: AVG(Field: Area) */
  $handler->display->display_options['fields']['field_singlenumber']['id'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['field'] = 'field_singlenumber';
  $handler->display->display_options['fields']['field_singlenumber']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['fields']['field_singlenumber']['group_type'] = 'avg';
  $handler->display->display_options['fields']['field_singlenumber']['label'] = 'Rating';
  $handler->display->display_options['fields']['field_singlenumber']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: AVG(Field: Area (field_singlenumber)) */
  $handler->display->display_options['sorts']['field_singlenumber_value']['id'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['table'] = 'field_data_field_singlenumber';
  $handler->display->display_options['sorts']['field_singlenumber_value']['field'] = 'field_singlenumber_value';
  $handler->display->display_options['sorts']['field_singlenumber_value']['relationship'] = 'reverse_field_wineref_node';
  $handler->display->display_options['sorts']['field_singlenumber_value']['group_type'] = 'avg';
  $handler->display->display_options['sorts']['field_singlenumber_value']['order'] = 'DESC';
  $handler->display->display_options['pane_title'] = 'Highest rated';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';

  /* Display: CP user favorites */
  $handler = $view->new_display('panel_pane', 'CP user favorites', 'cp_user_favorites');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Favorites';
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['defaults']['link_display'] = FALSE;
  $handler->display->display_options['link_display'] = 'custom_url';
  $handler->display->display_options['link_url'] = '!1/favorites';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Origin (field_appelation) */
  $handler->display->display_options['relationships']['field_appelation_tid']['id'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['relationships']['field_appelation_tid']['field'] = 'field_appelation_tid';
  $handler->display->display_options['relationships']['field_appelation_tid']['label'] = 'appelation';
  /* Relationship: Flags: favorite */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'favorite';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'favorite';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '#';
  $handler->display->display_options['fields']['counter']['exclude'] = TRUE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Field: Image */
  $handler->display->display_options['fields']['field_singleimage']['id'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['table'] = 'field_data_field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['field'] = 'field_singleimage';
  $handler->display->display_options['fields']['field_singleimage']['label'] = '';
  $handler->display->display_options['fields']['field_singleimage']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_singleimage']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_singleimage']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_singleimage']['settings'] = array(
    'image_style' => 'small_bottle_rotated',
    'image_link' => '',
  );
  $handler->display->display_options['fields']['field_singleimage']['group_column'] = 'entity_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Wine';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Agriculture */
  $handler->display->display_options['fields']['field_agriculture']['id'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['table'] = 'field_data_field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['field'] = 'field_agriculture';
  $handler->display->display_options['fields']['field_agriculture']['label'] = '';
  $handler->display->display_options['fields']['field_agriculture']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_agriculture']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_agriculture']['type'] = 'list_key';
  /* Field: Field: Color */
  $handler->display->display_options['fields']['field_color']['id'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['table'] = 'field_data_field_color';
  $handler->display->display_options['fields']['field_color']['field'] = 'field_color';
  $handler->display->display_options['fields']['field_color']['label'] = '';
  $handler->display->display_options['fields']['field_color']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_color']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_color']['type'] = 'list_key';
  /* Field: Sparkling */
  $handler->display->display_options['fields']['field_single_checkbox']['id'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['table'] = 'field_data_field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['field'] = 'field_single_checkbox';
  $handler->display->display_options['fields']['field_single_checkbox']['ui_name'] = 'Sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['label'] = '';
  $handler->display->display_options['fields']['field_single_checkbox']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['alter']['text'] = 'sparkling';
  $handler->display->display_options['fields']['field_single_checkbox']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_single_checkbox']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['field_single_checkbox']['type'] = 'list_key';
  /* Field: Content: Origin */
  $handler->display->display_options['fields']['field_appelation']['id'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['table'] = 'field_data_field_appelation';
  $handler->display->display_options['fields']['field_appelation']['field'] = 'field_appelation';
  $handler->display->display_options['fields']['field_appelation']['exclude'] = TRUE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Flags: User uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'flagging';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['pane_title'] = 'User favorites';
  $handler->display->display_options['pane_category']['name'] = 'wines';
  $handler->display->display_options['pane_category']['weight'] = '0';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 'offset';
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 'more_link';
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 0;
  $handler->display->display_options['allow']['exposed_form'] = 0;
  $handler->display->display_options['allow']['fields_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'uid' => array(
      'type' => 'context',
      'context' => 'entity:user.uid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Flags: User uid',
    ),
  );
  $export['wines'] = $view;

  return $export;
}
